# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit bash-completion-r1 go-module

EGO_SUM=(
	"cloud.google.com/go v0.116.0"
	"cloud.google.com/go v0.116.0/go.mod"
	"cloud.google.com/go/auth v0.13.0"
	"cloud.google.com/go/auth v0.13.0/go.mod"
	"cloud.google.com/go/auth/oauth2adapt v0.2.6"
	"cloud.google.com/go/auth/oauth2adapt v0.2.6/go.mod"
	"cloud.google.com/go/compute v1.24.0"
	"cloud.google.com/go/compute/metadata v0.6.0"
	"cloud.google.com/go/compute/metadata v0.6.0/go.mod"
	"cloud.google.com/go/iam v1.2.2"
	"cloud.google.com/go/iam v1.2.2/go.mod"
	"cloud.google.com/go/kms v1.20.4"
	"cloud.google.com/go/kms v1.20.4/go.mod"
	"cloud.google.com/go/longrunning v0.6.2"
	"cloud.google.com/go/longrunning v0.6.2/go.mod"
	"filippo.io/edwards25519 v1.1.0"
	"filippo.io/edwards25519 v1.1.0/go.mod"
	"github.com/!adam!korcz/go-fuzz-headers-1 v0.0.0-20230919221257-8b5d3ce2d11d"
	"github.com/!adam!korcz/go-fuzz-headers-1 v0.0.0-20230919221257-8b5d3ce2d11d/go.mod"
	"github.com/!alec!aivazis/survey/v2 v2.3.7"
	"github.com/!alec!aivazis/survey/v2 v2.3.7/go.mod"
	"github.com/!azure/azure-sdk-for-go/sdk/azcore v1.17.0"
	"github.com/!azure/azure-sdk-for-go/sdk/azcore v1.17.0/go.mod"
	"github.com/!azure/azure-sdk-for-go/sdk/azidentity v1.8.0"
	"github.com/!azure/azure-sdk-for-go/sdk/azidentity v1.8.0/go.mod"
	"github.com/!azure/azure-sdk-for-go/sdk/internal v1.10.0"
	"github.com/!azure/azure-sdk-for-go/sdk/internal v1.10.0/go.mod"
	"github.com/!azure/azure-sdk-for-go/sdk/security/keyvault/azkeys v1.3.0"
	"github.com/!azure/azure-sdk-for-go/sdk/security/keyvault/azkeys v1.3.0/go.mod"
	"github.com/!azure/azure-sdk-for-go/sdk/security/keyvault/internal v1.1.0"
	"github.com/!azure/azure-sdk-for-go/sdk/security/keyvault/internal v1.1.0/go.mod"
	"github.com/!azure!a!d/microsoft-authentication-library-for-go v1.3.1"
	"github.com/!azure!a!d/microsoft-authentication-library-for-go v1.3.1/go.mod"
	"github.com/!make!now!just/heredoc v1.0.0"
	"github.com/!make!now!just/heredoc v1.0.0/go.mod"
	"github.com/!netflix/go-expect v0.0.0-20220104043353-73e0943537d2"
	"github.com/!netflix/go-expect v0.0.0-20220104043353-73e0943537d2/go.mod"
	"github.com/alecthomas/assert/v2 v2.7.0"
	"github.com/alecthomas/assert/v2 v2.7.0/go.mod"
	"github.com/alecthomas/chroma/v2 v2.14.0"
	"github.com/alecthomas/chroma/v2 v2.14.0/go.mod"
	"github.com/alecthomas/repr v0.4.0"
	"github.com/alecthomas/repr v0.4.0/go.mod"
	"github.com/alessio/shellescape v1.4.2"
	"github.com/alessio/shellescape v1.4.2/go.mod"
	"github.com/asaskevich/govalidator v0.0.0-20230301143203-a9d515a09cc2"
	"github.com/asaskevich/govalidator v0.0.0-20230301143203-a9d515a09cc2/go.mod"
	"github.com/aws/aws-sdk-go v1.55.5"
	"github.com/aws/aws-sdk-go v1.55.5/go.mod"
	"github.com/aws/aws-sdk-go-v2 v1.32.8"
	"github.com/aws/aws-sdk-go-v2 v1.32.8/go.mod"
	"github.com/aws/aws-sdk-go-v2/config v1.28.10"
	"github.com/aws/aws-sdk-go-v2/config v1.28.10/go.mod"
	"github.com/aws/aws-sdk-go-v2/credentials v1.17.51"
	"github.com/aws/aws-sdk-go-v2/credentials v1.17.51/go.mod"
	"github.com/aws/aws-sdk-go-v2/feature/ec2/imds v1.16.23"
	"github.com/aws/aws-sdk-go-v2/feature/ec2/imds v1.16.23/go.mod"
	"github.com/aws/aws-sdk-go-v2/internal/configsources v1.3.27"
	"github.com/aws/aws-sdk-go-v2/internal/configsources v1.3.27/go.mod"
	"github.com/aws/aws-sdk-go-v2/internal/endpoints/v2 v2.6.27"
	"github.com/aws/aws-sdk-go-v2/internal/endpoints/v2 v2.6.27/go.mod"
	"github.com/aws/aws-sdk-go-v2/internal/ini v1.8.1"
	"github.com/aws/aws-sdk-go-v2/internal/ini v1.8.1/go.mod"
	"github.com/aws/aws-sdk-go-v2/service/internal/accept-encoding v1.12.1"
	"github.com/aws/aws-sdk-go-v2/service/internal/accept-encoding v1.12.1/go.mod"
	"github.com/aws/aws-sdk-go-v2/service/internal/presigned-url v1.12.8"
	"github.com/aws/aws-sdk-go-v2/service/internal/presigned-url v1.12.8/go.mod"
	"github.com/aws/aws-sdk-go-v2/service/kms v1.37.8"
	"github.com/aws/aws-sdk-go-v2/service/kms v1.37.8/go.mod"
	"github.com/aws/aws-sdk-go-v2/service/sso v1.24.9"
	"github.com/aws/aws-sdk-go-v2/service/sso v1.24.9/go.mod"
	"github.com/aws/aws-sdk-go-v2/service/ssooidc v1.28.8"
	"github.com/aws/aws-sdk-go-v2/service/ssooidc v1.28.8/go.mod"
	"github.com/aws/aws-sdk-go-v2/service/sts v1.33.6"
	"github.com/aws/aws-sdk-go-v2/service/sts v1.33.6/go.mod"
	"github.com/aws/smithy-go v1.22.1"
	"github.com/aws/smithy-go v1.22.1/go.mod"
	"github.com/aymanbagabas/go-osc52/v2 v2.0.1"
	"github.com/aymanbagabas/go-osc52/v2 v2.0.1/go.mod"
	"github.com/aymanbagabas/go-udiff v0.2.0"
	"github.com/aymanbagabas/go-udiff v0.2.0/go.mod"
	"github.com/aymerick/douceur v0.2.0"
	"github.com/aymerick/douceur v0.2.0/go.mod"
	"github.com/beorn7/perks v1.0.1"
	"github.com/beorn7/perks v1.0.1/go.mod"
	"github.com/blang/semver v3.5.1+incompatible"
	"github.com/blang/semver v3.5.1+incompatible/go.mod"
	"github.com/briandowns/spinner v1.18.1"
	"github.com/briandowns/spinner v1.18.1/go.mod"
	"github.com/cenkalti/backoff/v4 v4.3.0"
	"github.com/cenkalti/backoff/v4 v4.3.0/go.mod"
	"github.com/cespare/xxhash/v2 v2.3.0"
	"github.com/cespare/xxhash/v2 v2.3.0/go.mod"
	"github.com/charmbracelet/glamour v0.8.0"
	"github.com/charmbracelet/glamour v0.8.0/go.mod"
	"github.com/charmbracelet/lipgloss v0.12.1"
	"github.com/charmbracelet/lipgloss v0.12.1/go.mod"
	"github.com/charmbracelet/x/ansi v0.1.4"
	"github.com/charmbracelet/x/ansi v0.1.4/go.mod"
	"github.com/charmbracelet/x/exp/golden v0.0.0-20240715153702-9ba8adf781c4"
	"github.com/charmbracelet/x/exp/golden v0.0.0-20240715153702-9ba8adf781c4/go.mod"
	"github.com/cli/browser v1.0.0/go.mod"
	"github.com/cli/browser v1.3.0"
	"github.com/cli/browser v1.3.0/go.mod"
	"github.com/cli/go-gh/v2 v2.11.2"
	"github.com/cli/go-gh/v2 v2.11.2/go.mod"
	"github.com/cli/go-internal v0.0.0-20241025142207-6c48bcd5ce24"
	"github.com/cli/go-internal v0.0.0-20241025142207-6c48bcd5ce24/go.mod"
	"github.com/cli/oauth v1.1.1"
	"github.com/cli/oauth v1.1.1/go.mod"
	"github.com/cli/safeexec v1.0.0/go.mod"
	"github.com/cli/safeexec v1.0.1"
	"github.com/cli/safeexec v1.0.1/go.mod"
	"github.com/cli/shurcoo!l-graphql v0.0.4"
	"github.com/cli/shurcoo!l-graphql v0.0.4/go.mod"
	"github.com/codahale/rfc6979 v0.0.0-20141003034818-6a90f24967eb"
	"github.com/codahale/rfc6979 v0.0.0-20141003034818-6a90f24967eb/go.mod"
	"github.com/containerd/stargz-snapshotter/estargz v0.16.3"
	"github.com/containerd/stargz-snapshotter/estargz v0.16.3/go.mod"
	"github.com/cpuguy83/go-md2man/v2 v2.0.4/go.mod"
	"github.com/cpuguy83/go-md2man/v2 v2.0.6"
	"github.com/cpuguy83/go-md2man/v2 v2.0.6/go.mod"
	"github.com/creack/pty v1.1.17/go.mod"
	"github.com/creack/pty v1.1.24"
	"github.com/creack/pty v1.1.24/go.mod"
	"github.com/cyberphone/json-canonicalization v0.0.0-20220623050100-57a0ce2678a7"
	"github.com/cyberphone/json-canonicalization v0.0.0-20220623050100-57a0ce2678a7/go.mod"
	"github.com/danieljoos/wincred v1.2.1"
	"github.com/danieljoos/wincred v1.2.1/go.mod"
	"github.com/davecgh/go-spew v1.1.0/go.mod"
	"github.com/davecgh/go-spew v1.1.1/go.mod"
	"github.com/davecgh/go-spew v1.1.2-0.20180830191138-d8f796af33cc"
	"github.com/davecgh/go-spew v1.1.2-0.20180830191138-d8f796af33cc/go.mod"
	"github.com/digitorus/pkcs7 v0.0.0-20230713084857-e76b763bdc49/go.mod"
	"github.com/digitorus/pkcs7 v0.0.0-20230818184609-3a137a874352"
	"github.com/digitorus/pkcs7 v0.0.0-20230818184609-3a137a874352/go.mod"
	"github.com/digitorus/timestamp v0.0.0-20231217203849-220c5c2851b7"
	"github.com/digitorus/timestamp v0.0.0-20231217203849-220c5c2851b7/go.mod"
	"github.com/distribution/reference v0.6.0"
	"github.com/distribution/reference v0.6.0/go.mod"
	"github.com/dlclark/regexp2 v1.11.0"
	"github.com/dlclark/regexp2 v1.11.0/go.mod"
	"github.com/docker/cli v27.5.0+incompatible"
	"github.com/docker/cli v27.5.0+incompatible/go.mod"
	"github.com/docker/distribution v2.8.3+incompatible"
	"github.com/docker/distribution v2.8.3+incompatible/go.mod"
	"github.com/docker/docker-credential-helpers v0.8.2"
	"github.com/docker/docker-credential-helpers v0.8.2/go.mod"
	"github.com/fatih/color v1.7.0/go.mod"
	"github.com/fatih/color v1.16.0"
	"github.com/fatih/color v1.16.0/go.mod"
	"github.com/felixge/httpsnoop v1.0.4"
	"github.com/felixge/httpsnoop v1.0.4/go.mod"
	"github.com/frankban/quicktest v1.14.6"
	"github.com/frankban/quicktest v1.14.6/go.mod"
	"github.com/fsnotify/fsnotify v1.7.0"
	"github.com/fsnotify/fsnotify v1.7.0/go.mod"
	"github.com/gabriel-vasile/mimetype v1.4.8"
	"github.com/gabriel-vasile/mimetype v1.4.8/go.mod"
	"github.com/gdamore/encoding v1.0.0"
	"github.com/gdamore/encoding v1.0.0/go.mod"
	"github.com/gdamore/tcell/v2 v2.5.4"
	"github.com/gdamore/tcell/v2 v2.5.4/go.mod"
	"github.com/go-chi/chi v4.1.2+incompatible"
	"github.com/go-chi/chi v4.1.2+incompatible/go.mod"
	"github.com/go-jose/go-jose/v3 v3.0.3"
	"github.com/go-jose/go-jose/v3 v3.0.3/go.mod"
	"github.com/go-jose/go-jose/v4 v4.0.5"
	"github.com/go-jose/go-jose/v4 v4.0.5/go.mod"
	"github.com/go-logr/logr v1.2.2/go.mod"
	"github.com/go-logr/logr v1.4.2"
	"github.com/go-logr/logr v1.4.2/go.mod"
	"github.com/go-logr/stdr v1.2.2"
	"github.com/go-logr/stdr v1.2.2/go.mod"
	"github.com/go-openapi/analysis v0.23.0"
	"github.com/go-openapi/analysis v0.23.0/go.mod"
	"github.com/go-openapi/errors v0.22.0"
	"github.com/go-openapi/errors v0.22.0/go.mod"
	"github.com/go-openapi/jsonpointer v0.21.0"
	"github.com/go-openapi/jsonpointer v0.21.0/go.mod"
	"github.com/go-openapi/jsonreference v0.21.0"
	"github.com/go-openapi/jsonreference v0.21.0/go.mod"
	"github.com/go-openapi/loads v0.22.0"
	"github.com/go-openapi/loads v0.22.0/go.mod"
	"github.com/go-openapi/runtime v0.28.0"
	"github.com/go-openapi/runtime v0.28.0/go.mod"
	"github.com/go-openapi/spec v0.21.0"
	"github.com/go-openapi/spec v0.21.0/go.mod"
	"github.com/go-openapi/strfmt v0.23.0"
	"github.com/go-openapi/strfmt v0.23.0/go.mod"
	"github.com/go-openapi/swag v0.23.0"
	"github.com/go-openapi/swag v0.23.0/go.mod"
	"github.com/go-openapi/validate v0.24.0"
	"github.com/go-openapi/validate v0.24.0/go.mod"
	"github.com/go-sql-driver/mysql v1.8.1"
	"github.com/go-sql-driver/mysql v1.8.1/go.mod"
	"github.com/go-test/deep v1.1.1"
	"github.com/go-test/deep v1.1.1/go.mod"
	"github.com/godbus/dbus/v5 v5.1.0"
	"github.com/godbus/dbus/v5 v5.1.0/go.mod"
	"github.com/golang-jwt/jwt/v5 v5.2.1"
	"github.com/golang-jwt/jwt/v5 v5.2.1/go.mod"
	"github.com/golang/protobuf v1.5.4"
	"github.com/golang/protobuf v1.5.4/go.mod"
	"github.com/golang/snappy v0.0.4"
	"github.com/golang/snappy v0.0.4/go.mod"
	"github.com/google/certificate-transparency-go v1.3.1"
	"github.com/google/certificate-transparency-go v1.3.1/go.mod"
	"github.com/google/go-cmp v0.6.0"
	"github.com/google/go-cmp v0.6.0/go.mod"
	"github.com/google/go-containerregistry v0.20.3"
	"github.com/google/go-containerregistry v0.20.3/go.mod"
	"github.com/google/gofuzz v1.2.0"
	"github.com/google/gofuzz v1.2.0/go.mod"
	"github.com/google/s2a-go v0.1.8"
	"github.com/google/s2a-go v0.1.8/go.mod"
	"github.com/google/shlex v0.0.0-20191202100458-e7afc7fbc510"
	"github.com/google/shlex v0.0.0-20191202100458-e7afc7fbc510/go.mod"
	"github.com/google/tink/go v1.7.0"
	"github.com/google/tink/go v1.7.0/go.mod"
	"github.com/google/trillian v1.7.1"
	"github.com/google/trillian v1.7.1/go.mod"
	"github.com/google/uuid v1.6.0"
	"github.com/google/uuid v1.6.0/go.mod"
	"github.com/googleapis/enterprise-certificate-proxy v0.3.4"
	"github.com/googleapis/enterprise-certificate-proxy v0.3.4/go.mod"
	"github.com/googleapis/gax-go/v2 v2.14.1"
	"github.com/googleapis/gax-go/v2 v2.14.1/go.mod"
	"github.com/gorilla/css v1.0.1"
	"github.com/gorilla/css v1.0.1/go.mod"
	"github.com/gorilla/websocket v1.5.3"
	"github.com/gorilla/websocket v1.5.3/go.mod"
	"github.com/h2non/parth v0.0.0-20190131123155-b4df798d6542"
	"github.com/h2non/parth v0.0.0-20190131123155-b4df798d6542/go.mod"
	"github.com/hashicorp/errwrap v1.0.0/go.mod"
	"github.com/hashicorp/errwrap v1.1.0"
	"github.com/hashicorp/errwrap v1.1.0/go.mod"
	"github.com/hashicorp/go-cleanhttp v0.5.2"
	"github.com/hashicorp/go-cleanhttp v0.5.2/go.mod"
	"github.com/hashicorp/go-multierror v1.1.1"
	"github.com/hashicorp/go-multierror v1.1.1/go.mod"
	"github.com/hashicorp/go-retryablehttp v0.7.7"
	"github.com/hashicorp/go-retryablehttp v0.7.7/go.mod"
	"github.com/hashicorp/go-rootcerts v1.0.2"
	"github.com/hashicorp/go-rootcerts v1.0.2/go.mod"
	"github.com/hashicorp/go-secure-stdlib/parseutil v0.1.7"
	"github.com/hashicorp/go-secure-stdlib/parseutil v0.1.7/go.mod"
	"github.com/hashicorp/go-secure-stdlib/strutil v0.1.2"
	"github.com/hashicorp/go-secure-stdlib/strutil v0.1.2/go.mod"
	"github.com/hashicorp/go-sockaddr v1.0.2"
	"github.com/hashicorp/go-sockaddr v1.0.2/go.mod"
	"github.com/hashicorp/go-version v1.3.0"
	"github.com/hashicorp/go-version v1.3.0/go.mod"
	"github.com/hashicorp/golang-lru v0.5.4"
	"github.com/hashicorp/golang-lru/v2 v2.0.7"
	"github.com/hashicorp/golang-lru/v2 v2.0.7/go.mod"
	"github.com/hashicorp/hcl v1.0.0"
	"github.com/hashicorp/hcl v1.0.0/go.mod"
	"github.com/hashicorp/vault/api v1.15.0"
	"github.com/hashicorp/vault/api v1.15.0/go.mod"
	"github.com/henvic/httpretty v0.1.4"
	"github.com/henvic/httpretty v0.1.4/go.mod"
	"github.com/hexops/gotextdiff v1.0.3"
	"github.com/hexops/gotextdiff v1.0.3/go.mod"
	"github.com/hinshun/vt10x v0.0.0-20220119200601-820417d04eec"
	"github.com/hinshun/vt10x v0.0.0-20220119200601-820417d04eec/go.mod"
	"github.com/howeyc/gopass v0.0.0-20210920133722-c8aef6fb66ef"
	"github.com/howeyc/gopass v0.0.0-20210920133722-c8aef6fb66ef/go.mod"
	"github.com/in-toto/attestation v1.1.1"
	"github.com/in-toto/attestation v1.1.1/go.mod"
	"github.com/in-toto/in-toto-golang v0.9.0"
	"github.com/in-toto/in-toto-golang v0.9.0/go.mod"
	"github.com/inconshreveable/mousetrap v1.1.0"
	"github.com/inconshreveable/mousetrap v1.1.0/go.mod"
	"github.com/itchyny/gojq v0.12.15"
	"github.com/itchyny/gojq v0.12.15/go.mod"
	"github.com/itchyny/timefmt-go v0.1.5"
	"github.com/itchyny/timefmt-go v0.1.5/go.mod"
	"github.com/jackc/pgerrcode v0.0.0-20240316143900-6e2875d9b438"
	"github.com/jackc/pgerrcode v0.0.0-20240316143900-6e2875d9b438/go.mod"
	"github.com/jackc/pgpassfile v1.0.0"
	"github.com/jackc/pgpassfile v1.0.0/go.mod"
	"github.com/jackc/pgservicefile v0.0.0-20240606120523-5a60cdf6a761"
	"github.com/jackc/pgservicefile v0.0.0-20240606120523-5a60cdf6a761/go.mod"
	"github.com/jackc/pgx/v5 v5.7.2"
	"github.com/jackc/pgx/v5 v5.7.2/go.mod"
	"github.com/jackc/puddle/v2 v2.2.2"
	"github.com/jackc/puddle/v2 v2.2.2/go.mod"
	"github.com/jedisct1/go-minisign v0.0.0-20211028175153-1c139d1cc84b"
	"github.com/jedisct1/go-minisign v0.0.0-20211028175153-1c139d1cc84b/go.mod"
	"github.com/jellydator/ttlcache/v3 v3.3.0"
	"github.com/jellydator/ttlcache/v3 v3.3.0/go.mod"
	"github.com/jmespath/go-jmespath v0.4.1-0.20220621161143-b0104c826a24"
	"github.com/jmespath/go-jmespath v0.4.1-0.20220621161143-b0104c826a24/go.mod"
	"github.com/jmhodges/clock v1.2.0"
	"github.com/jmhodges/clock v1.2.0/go.mod"
	"github.com/joho/godotenv v1.5.1"
	"github.com/joho/godotenv v1.5.1/go.mod"
	"github.com/josharian/intern v1.0.0"
	"github.com/josharian/intern v1.0.0/go.mod"
	"github.com/kballard/go-shellquote v0.0.0-20180428030007-95032a82bc51"
	"github.com/kballard/go-shellquote v0.0.0-20180428030007-95032a82bc51/go.mod"
	"github.com/klauspost/compress v1.17.11"
	"github.com/klauspost/compress v1.17.11/go.mod"
	"github.com/kr/pretty v0.3.1"
	"github.com/kr/pretty v0.3.1/go.mod"
	"github.com/kr/text v0.2.0"
	"github.com/kr/text v0.2.0/go.mod"
	"github.com/kylelemons/godebug v1.1.0"
	"github.com/kylelemons/godebug v1.1.0/go.mod"
	"github.com/letsencrypt/boulder v0.0.0-20240620165639-de9c06129bec"
	"github.com/letsencrypt/boulder v0.0.0-20240620165639-de9c06129bec/go.mod"
	"github.com/lucasb-eyer/go-colorful v1.2.0"
	"github.com/lucasb-eyer/go-colorful v1.2.0/go.mod"
	"github.com/magiconair/properties v1.8.7"
	"github.com/magiconair/properties v1.8.7/go.mod"
	"github.com/mailru/easyjson v0.7.7"
	"github.com/mailru/easyjson v0.7.7/go.mod"
	"github.com/mattn/go-colorable v0.1.2/go.mod"
	"github.com/mattn/go-colorable v0.1.14"
	"github.com/mattn/go-colorable v0.1.14/go.mod"
	"github.com/mattn/go-isatty v0.0.8/go.mod"
	"github.com/mattn/go-isatty v0.0.20"
	"github.com/mattn/go-isatty v0.0.20/go.mod"
	"github.com/mattn/go-runewidth v0.0.9/go.mod"
	"github.com/mattn/go-runewidth v0.0.12/go.mod"
	"github.com/mattn/go-runewidth v0.0.14/go.mod"
	"github.com/mattn/go-runewidth v0.0.15"
	"github.com/mattn/go-runewidth v0.0.15/go.mod"
	"github.com/mgutz/ansi v0.0.0-20170206155736-9520e82c474b/go.mod"
	"github.com/mgutz/ansi v0.0.0-20200706080929-d51e80ef957d"
	"github.com/mgutz/ansi v0.0.0-20200706080929-d51e80ef957d/go.mod"
	"github.com/microcosm-cc/bluemonday v1.0.27"
	"github.com/microcosm-cc/bluemonday v1.0.27/go.mod"
	"github.com/microsoft/dev-tunnels v0.0.25"
	"github.com/microsoft/dev-tunnels v0.0.25/go.mod"
	"github.com/mitchellh/go-homedir v1.1.0"
	"github.com/mitchellh/go-homedir v1.1.0/go.mod"
	"github.com/mitchellh/mapstructure v1.5.0"
	"github.com/mitchellh/mapstructure v1.5.0/go.mod"
	"github.com/muesli/reflow v0.3.0"
	"github.com/muesli/reflow v0.3.0/go.mod"
	"github.com/muesli/termenv v0.15.3-0.20240618155329-98d742f6907a"
	"github.com/muesli/termenv v0.15.3-0.20240618155329-98d742f6907a/go.mod"
	"github.com/muhammadmuzzammil1998/jsonc v0.0.0-20201229145248-615b0916ca38"
	"github.com/muhammadmuzzammil1998/jsonc v0.0.0-20201229145248-615b0916ca38/go.mod"
	"github.com/munnerz/goautoneg v0.0.0-20191010083416-a7dc8b61c822"
	"github.com/munnerz/goautoneg v0.0.0-20191010083416-a7dc8b61c822/go.mod"
	"github.com/nbio/st v0.0.0-20140626010706-e9e8d9816f32"
	"github.com/nbio/st v0.0.0-20140626010706-e9e8d9816f32/go.mod"
	"github.com/oklog/ulid v1.3.1"
	"github.com/oklog/ulid v1.3.1/go.mod"
	"github.com/opencontainers/go-digest v1.0.0"
	"github.com/opencontainers/go-digest v1.0.0/go.mod"
	"github.com/opencontainers/image-spec v1.1.0"
	"github.com/opencontainers/image-spec v1.1.0/go.mod"
	"github.com/opentracing/opentracing-go v1.2.0"
	"github.com/opentracing/opentracing-go v1.2.0/go.mod"
	"github.com/pelletier/go-toml/v2 v2.2.2"
	"github.com/pelletier/go-toml/v2 v2.2.2/go.mod"
	"github.com/pkg/browser v0.0.0-20240102092130-5ac0b6a4141c"
	"github.com/pkg/browser v0.0.0-20240102092130-5ac0b6a4141c/go.mod"
	"github.com/pkg/errors v0.9.1"
	"github.com/pkg/errors v0.9.1/go.mod"
	"github.com/pmezard/go-difflib v1.0.0/go.mod"
	"github.com/pmezard/go-difflib v1.0.1-0.20181226105442-5d4384ee4fb2"
	"github.com/pmezard/go-difflib v1.0.1-0.20181226105442-5d4384ee4fb2/go.mod"
	"github.com/prometheus/client_golang v1.20.5"
	"github.com/prometheus/client_golang v1.20.5/go.mod"
	"github.com/prometheus/client_model v0.6.1"
	"github.com/prometheus/client_model v0.6.1/go.mod"
	"github.com/prometheus/common v0.55.0"
	"github.com/prometheus/common v0.55.0/go.mod"
	"github.com/prometheus/procfs v0.15.1"
	"github.com/prometheus/procfs v0.15.1/go.mod"
	"github.com/rivo/tview v0.0.0-20221029100920-c4a7e501810d"
	"github.com/rivo/tview v0.0.0-20221029100920-c4a7e501810d/go.mod"
	"github.com/rivo/uniseg v0.1.0/go.mod"
	"github.com/rivo/uniseg v0.2.0/go.mod"
	"github.com/rivo/uniseg v0.4.7"
	"github.com/rivo/uniseg v0.4.7/go.mod"
	"github.com/rodaine/table v1.0.1"
	"github.com/rodaine/table v1.0.1/go.mod"
	"github.com/rogpeppe/go-internal v1.13.1"
	"github.com/rogpeppe/go-internal v1.13.1/go.mod"
	"github.com/russross/blackfriday/v2 v2.1.0"
	"github.com/russross/blackfriday/v2 v2.1.0/go.mod"
	"github.com/ryanuber/go-glob v1.0.0"
	"github.com/ryanuber/go-glob v1.0.0/go.mod"
	"github.com/sagikazarmark/locafero v0.4.0"
	"github.com/sagikazarmark/locafero v0.4.0/go.mod"
	"github.com/sagikazarmark/slog-shim v0.1.0"
	"github.com/sagikazarmark/slog-shim v0.1.0/go.mod"
	"github.com/sassoftware/relic v7.2.1+incompatible"
	"github.com/sassoftware/relic v7.2.1+incompatible/go.mod"
	"github.com/sassoftware/relic/v7 v7.6.2"
	"github.com/sassoftware/relic/v7 v7.6.2/go.mod"
	"github.com/secure-systems-lab/go-securesystemslib v0.9.0"
	"github.com/secure-systems-lab/go-securesystemslib v0.9.0/go.mod"
	"github.com/sergi/go-diff v1.3.1"
	"github.com/sergi/go-diff v1.3.1/go.mod"
	"github.com/shibumi/go-pathspec v1.3.0"
	"github.com/shibumi/go-pathspec v1.3.0/go.mod"
	"github.com/shurcoo!l/githubv4 v0.0.0-20240120211514-18a1ae0e79dc"
	"github.com/shurcoo!l/githubv4 v0.0.0-20240120211514-18a1ae0e79dc/go.mod"
	"github.com/shurcoo!l/graphql v0.0.0-20230722043721-ed46e5a46466"
	"github.com/shurcoo!l/graphql v0.0.0-20230722043721-ed46e5a46466/go.mod"
	"github.com/sigstore/protobuf-specs v0.3.3"
	"github.com/sigstore/protobuf-specs v0.3.3/go.mod"
	"github.com/sigstore/rekor v1.3.8"
	"github.com/sigstore/rekor v1.3.8/go.mod"
	"github.com/sigstore/sigstore v1.8.12"
	"github.com/sigstore/sigstore v1.8.12/go.mod"
	"github.com/sigstore/sigstore-go v0.7.0"
	"github.com/sigstore/sigstore-go v0.7.0/go.mod"
	"github.com/sigstore/sigstore/pkg/signature/kms/aws v1.8.12"
	"github.com/sigstore/sigstore/pkg/signature/kms/aws v1.8.12/go.mod"
	"github.com/sigstore/sigstore/pkg/signature/kms/azure v1.8.12"
	"github.com/sigstore/sigstore/pkg/signature/kms/azure v1.8.12/go.mod"
	"github.com/sigstore/sigstore/pkg/signature/kms/gcp v1.8.12"
	"github.com/sigstore/sigstore/pkg/signature/kms/gcp v1.8.12/go.mod"
	"github.com/sigstore/sigstore/pkg/signature/kms/hashivault v1.8.12"
	"github.com/sigstore/sigstore/pkg/signature/kms/hashivault v1.8.12/go.mod"
	"github.com/sigstore/timestamp-authority v1.2.4"
	"github.com/sigstore/timestamp-authority v1.2.4/go.mod"
	"github.com/sirupsen/logrus v1.9.3"
	"github.com/sirupsen/logrus v1.9.3/go.mod"
	"github.com/sourcegraph/conc v0.3.0"
	"github.com/sourcegraph/conc v0.3.0/go.mod"
	"github.com/spf13/afero v1.11.0"
	"github.com/spf13/afero v1.11.0/go.mod"
	"github.com/spf13/cast v1.7.0"
	"github.com/spf13/cast v1.7.0/go.mod"
	"github.com/spf13/cobra v1.8.1"
	"github.com/spf13/cobra v1.8.1/go.mod"
	"github.com/spf13/pflag v1.0.5/go.mod"
	"github.com/spf13/pflag v1.0.6"
	"github.com/spf13/pflag v1.0.6/go.mod"
	"github.com/spf13/viper v1.19.0"
	"github.com/spf13/viper v1.19.0/go.mod"
	"github.com/stretchr/objx v0.1.0/go.mod"
	"github.com/stretchr/objx v0.4.0/go.mod"
	"github.com/stretchr/objx v0.5.0/go.mod"
	"github.com/stretchr/objx v0.5.2"
	"github.com/stretchr/objx v0.5.2/go.mod"
	"github.com/stretchr/testify v1.3.0/go.mod"
	"github.com/stretchr/testify v1.6.1/go.mod"
	"github.com/stretchr/testify v1.7.0/go.mod"
	"github.com/stretchr/testify v1.7.1/go.mod"
	"github.com/stretchr/testify v1.8.0/go.mod"
	"github.com/stretchr/testify v1.8.4/go.mod"
	"github.com/stretchr/testify v1.9.0/go.mod"
	"github.com/stretchr/testify v1.10.0"
	"github.com/stretchr/testify v1.10.0/go.mod"
	"github.com/subosito/gotenv v1.6.0"
	"github.com/subosito/gotenv v1.6.0/go.mod"
	"github.com/theupdateframework/go-tuf v0.7.0"
	"github.com/theupdateframework/go-tuf v0.7.0/go.mod"
	"github.com/theupdateframework/go-tuf/v2 v2.0.2"
	"github.com/theupdateframework/go-tuf/v2 v2.0.2/go.mod"
	"github.com/thlib/go-timezone-local v0.0.0-20210907160436-ef149e42d28e"
	"github.com/thlib/go-timezone-local v0.0.0-20210907160436-ef149e42d28e/go.mod"
	"github.com/titanous/rocacheck v0.0.0-20171023193734-afe73141d399"
	"github.com/titanous/rocacheck v0.0.0-20171023193734-afe73141d399/go.mod"
	"github.com/transparency-dev/merkle v0.0.2"
	"github.com/transparency-dev/merkle v0.0.2/go.mod"
	"github.com/vbatts/tar-split v0.11.6"
	"github.com/vbatts/tar-split v0.11.6/go.mod"
	"github.com/yuin/goldmark v1.4.13/go.mod"
	"github.com/yuin/goldmark v1.7.1/go.mod"
	"github.com/yuin/goldmark v1.7.4"
	"github.com/yuin/goldmark v1.7.4/go.mod"
	"github.com/yuin/goldmark-emoji v1.0.3"
	"github.com/yuin/goldmark-emoji v1.0.3/go.mod"
	"github.com/zalando/go-keyring v0.2.5"
	"github.com/zalando/go-keyring v0.2.5/go.mod"
	"go.mongodb.org/mongo-driver v1.14.0"
	"go.mongodb.org/mongo-driver v1.14.0/go.mod"
	"go.opentelemetry.io/auto/sdk v1.1.0"
	"go.opentelemetry.io/auto/sdk v1.1.0/go.mod"
	"go.opentelemetry.io/contrib/instrumentation/google.golang.org/grpc/otelgrpc v0.54.0"
	"go.opentelemetry.io/contrib/instrumentation/google.golang.org/grpc/otelgrpc v0.54.0/go.mod"
	"go.opentelemetry.io/contrib/instrumentation/net/http/otelhttp v0.58.0"
	"go.opentelemetry.io/contrib/instrumentation/net/http/otelhttp v0.58.0/go.mod"
	"go.opentelemetry.io/otel v1.33.0"
	"go.opentelemetry.io/otel v1.33.0/go.mod"
	"go.opentelemetry.io/otel/metric v1.33.0"
	"go.opentelemetry.io/otel/metric v1.33.0/go.mod"
	"go.opentelemetry.io/otel/sdk v1.33.0"
	"go.opentelemetry.io/otel/sdk v1.33.0/go.mod"
	"go.opentelemetry.io/otel/sdk/metric v1.31.0"
	"go.opentelemetry.io/otel/sdk/metric v1.31.0/go.mod"
	"go.opentelemetry.io/otel/trace v1.33.0"
	"go.opentelemetry.io/otel/trace v1.33.0/go.mod"
	"go.step.sm/crypto v0.57.0"
	"go.step.sm/crypto v0.57.0/go.mod"
	"go.uber.org/goleak v1.3.0"
	"go.uber.org/goleak v1.3.0/go.mod"
	"go.uber.org/multierr v1.11.0"
	"go.uber.org/multierr v1.11.0/go.mod"
	"go.uber.org/zap v1.27.0"
	"go.uber.org/zap v1.27.0/go.mod"
	"golang.org/x/crypto v0.0.0-20190308221718-c2843e01d9a2/go.mod"
	"golang.org/x/crypto v0.0.0-20210921155107-089bfa567519/go.mod"
	"golang.org/x/crypto v0.32.0"
	"golang.org/x/crypto v0.32.0/go.mod"
	"golang.org/x/exp v0.0.0-20240325151524-a685a6edb6d8"
	"golang.org/x/exp v0.0.0-20240325151524-a685a6edb6d8/go.mod"
	"golang.org/x/mod v0.6.0-dev.0.20220419223038-86c51ed26bb4/go.mod"
	"golang.org/x/mod v0.22.0"
	"golang.org/x/mod v0.22.0/go.mod"
	"golang.org/x/net v0.0.0-20190620200207-3b0461eec859/go.mod"
	"golang.org/x/net v0.0.0-20210226172049-e18ecbb05110/go.mod"
	"golang.org/x/net v0.0.0-20220722155237-a158d28d115b/go.mod"
	"golang.org/x/net v0.34.0"
	"golang.org/x/net v0.34.0/go.mod"
	"golang.org/x/oauth2 v0.25.0"
	"golang.org/x/oauth2 v0.25.0/go.mod"
	"golang.org/x/sync v0.0.0-20190423024810-112230192c58/go.mod"
	"golang.org/x/sync v0.0.0-20220722155255-886fb9371eb4/go.mod"
	"golang.org/x/sync v0.10.0"
	"golang.org/x/sync v0.10.0/go.mod"
	"golang.org/x/sys v0.0.0-20190215142949-d0b11bdaac8a/go.mod"
	"golang.org/x/sys v0.0.0-20190222072716-a9d3bda3a223/go.mod"
	"golang.org/x/sys v0.0.0-20201119102817-f84b799fce68/go.mod"
	"golang.org/x/sys v0.0.0-20210615035016-665e8c7367d1/go.mod"
	"golang.org/x/sys v0.0.0-20210831042530-f4d43177bf5e/go.mod"
	"golang.org/x/sys v0.0.0-20220520151302-bc2c85ada10a/go.mod"
	"golang.org/x/sys v0.0.0-20220715151400-c0bba94af5f8/go.mod"
	"golang.org/x/sys v0.0.0-20220722155257-8c9f86f7a55f/go.mod"
	"golang.org/x/sys v0.6.0/go.mod"
	"golang.org/x/sys v0.29.0"
	"golang.org/x/sys v0.29.0/go.mod"
	"golang.org/x/term v0.0.0-20201126162022-7de9c90e9dd1/go.mod"
	"golang.org/x/term v0.0.0-20210927222741-03fcf44c2211/go.mod"
	"golang.org/x/term v0.28.0"
	"golang.org/x/term v0.28.0/go.mod"
	"golang.org/x/text v0.3.0/go.mod"
	"golang.org/x/text v0.3.3/go.mod"
	"golang.org/x/text v0.3.7/go.mod"
	"golang.org/x/text v0.4.0/go.mod"
	"golang.org/x/text v0.5.0/go.mod"
	"golang.org/x/text v0.21.0"
	"golang.org/x/text v0.21.0/go.mod"
	"golang.org/x/time v0.9.0"
	"golang.org/x/time v0.9.0/go.mod"
	"golang.org/x/tools v0.0.0-20180917221912-90fa682c2a6e/go.mod"
	"golang.org/x/tools v0.0.0-20191119224855-298f0cb1881e/go.mod"
	"golang.org/x/tools v0.1.12/go.mod"
	"golang.org/x/tools v0.29.0"
	"golang.org/x/tools v0.29.0/go.mod"
	"golang.org/x/xerrors v0.0.0-20190717185122-a985d3407aa7/go.mod"
	"google.golang.org/api v0.216.0"
	"google.golang.org/api v0.216.0/go.mod"
	"google.golang.org/genproto v0.0.0-20241118233622-e639e219e697"
	"google.golang.org/genproto v0.0.0-20241118233622-e639e219e697/go.mod"
	"google.golang.org/genproto/googleapis/api v0.0.0-20241209162323-e6fa225c2576"
	"google.golang.org/genproto/googleapis/api v0.0.0-20241209162323-e6fa225c2576/go.mod"
	"google.golang.org/genproto/googleapis/rpc v0.0.0-20250102185135-69823020774d"
	"google.golang.org/genproto/googleapis/rpc v0.0.0-20250102185135-69823020774d/go.mod"
	"google.golang.org/grpc v1.69.4"
	"google.golang.org/grpc v1.69.4/go.mod"
	"google.golang.org/protobuf v1.36.5"
	"google.golang.org/protobuf v1.36.5/go.mod"
	"gopkg.in/check.v1 v0.0.0-20161208181325-20d25e280405/go.mod"
	"gopkg.in/check.v1 v1.0.0-20201130134442-10cb98267c6c"
	"gopkg.in/check.v1 v1.0.0-20201130134442-10cb98267c6c/go.mod"
	"gopkg.in/h2non/gock.v1 v1.1.2"
	"gopkg.in/h2non/gock.v1 v1.1.2/go.mod"
	"gopkg.in/ini.v1 v1.67.0"
	"gopkg.in/ini.v1 v1.67.0/go.mod"
	"gopkg.in/yaml.v3 v3.0.0-20200313102051-9f266ea9e77c/go.mod"
	"gopkg.in/yaml.v3 v3.0.1"
	"gopkg.in/yaml.v3 v3.0.1/go.mod"
	"gotest.tools/v3 v3.0.3"
	"gotest.tools/v3 v3.0.3/go.mod"
	"k8s.io/klog/v2 v2.130.1"
	"k8s.io/klog/v2 v2.130.1/go.mod"
	"sigs.k8s.io/yaml v1.4.0"
	"sigs.k8s.io/yaml v1.4.0/go.mod"
	"software.sslmate.com/src/go-pkcs12 v0.4.0"
	"software.sslmate.com/src/go-pkcs12 v0.4.0/go.mod"
)

go-module_set_globals

DESCRIPTION="GitHub CLI"
HOMEPAGE="https://github.com/cli/cli"
SRC_URI="https://github.com/cli/cli/tarball/fc19ff321a4b7f4198f788f08da20249c7950fbd -> cli-2.68.1-fc19ff3.tar.gz
https://distfiles.macaronios.org/b5/cb/d0/b5cbd0b8c80d6f9e0c47ce94fd06fba5bf66f59d0911b6afc076d20f7e35eb9ab3088d40a18d2baae58e2ce0e3faac00beec52692b0bb33a68e47f7d6e81ef4d -> github-cli-2.68.1-funtoo-go-bundle-aa8f18e284218fe313f43bb2ec29f92bb16daa4faf6b633706f57878144245290052e212ef3ff9442b4c51239b868e030a43316dfa454e6f5eecc910f8cf5bd0.tar.gz"
KEYWORDS="*"
LICENSE="MIT Apache-2.0 BSD BSD-2 MPL-2.0"
SLOT="0"
RDEPEND=">=dev-vcs/git-1.7.3"
RESTRICT+=" test "

post_src_unpack() {
	mv ${WORKDIR}/cli-cli-* ${S} || die
}

src_compile() {
	export GH_VERSION="v2.68.1"
	# Go LDFLAGS are not the same as GCC/Binutils LDFLAGS
	unset LDFLAGS
	# Once we set up cross compiling, this line will need to be adjusted
	# to compile for the target.
	# Everything else in this function happens on the host.
	emake

	einfo "Building man pages"
	emake manpages

	einfo "Building completions"
	go run ./cmd/gh completion -s bash > gh.bash-completion || die
	go run ./cmd/gh completion -s zsh > gh.zsh-completion || die
}

src_install() {
	dobin bin/gh
	dodoc README.md

	doman share/man/man?/gh*.?

	newbashcomp gh.bash-completion gh
	insinto /usr/share/zsh/site-functions
	newins gh.zsh-completion _gh
}
