# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit go-module

EGO_SUM=(
	"aead.dev/minisign v0.2.0/go.mod"
	"aead.dev/minisign v0.3.0"
	"aead.dev/minisign v0.3.0/go.mod"
	"github.com/!burnt!sushi/toml v0.3.1/go.mod"
	"github.com/!vivid!cortex/ewma v1.2.0"
	"github.com/!vivid!cortex/ewma v1.2.0/go.mod"
	"github.com/acarl005/stripansi v0.0.0-20180116102854-5a71ef0e047d"
	"github.com/acarl005/stripansi v0.0.0-20180116102854-5a71ef0e047d/go.mod"
	"github.com/aymanbagabas/go-osc52/v2 v2.0.1"
	"github.com/aymanbagabas/go-osc52/v2 v2.0.1/go.mod"
	"github.com/aymanbagabas/go-udiff v0.2.0"
	"github.com/aymanbagabas/go-udiff v0.2.0/go.mod"
	"github.com/beorn7/perks v1.0.1"
	"github.com/beorn7/perks v1.0.1/go.mod"
	"github.com/cespare/xxhash/v2 v2.3.0"
	"github.com/cespare/xxhash/v2 v2.3.0/go.mod"
	"github.com/charmbracelet/bubbles v0.20.0"
	"github.com/charmbracelet/bubbles v0.20.0/go.mod"
	"github.com/charmbracelet/bubbletea v1.3.4"
	"github.com/charmbracelet/bubbletea v1.3.4/go.mod"
	"github.com/charmbracelet/lipgloss v1.0.0"
	"github.com/charmbracelet/lipgloss v1.0.0/go.mod"
	"github.com/charmbracelet/x/ansi v0.8.0"
	"github.com/charmbracelet/x/ansi v0.8.0/go.mod"
	"github.com/charmbracelet/x/exp/golden v0.0.0-20240815200342-61de596daa2b"
	"github.com/charmbracelet/x/exp/golden v0.0.0-20240815200342-61de596daa2b/go.mod"
	"github.com/charmbracelet/x/term v0.2.1"
	"github.com/charmbracelet/x/term v0.2.1/go.mod"
	"github.com/cheggaaa/pb v1.0.29"
	"github.com/cheggaaa/pb v1.0.29/go.mod"
	"github.com/coreos/go-semver v0.3.1"
	"github.com/coreos/go-semver v0.3.1/go.mod"
	"github.com/coreos/go-systemd/v22 v22.5.0"
	"github.com/coreos/go-systemd/v22 v22.5.0/go.mod"
	"github.com/creack/pty v1.1.9/go.mod"
	"github.com/davecgh/go-spew v1.1.0/go.mod"
	"github.com/davecgh/go-spew v1.1.2-0.20180830191138-d8f796af33cc"
	"github.com/davecgh/go-spew v1.1.2-0.20180830191138-d8f796af33cc/go.mod"
	"github.com/decred/dcrd/dcrec/secp256k1/v4 v4.4.0"
	"github.com/decred/dcrd/dcrec/secp256k1/v4 v4.4.0/go.mod"
	"github.com/dustin/go-humanize v1.0.1"
	"github.com/dustin/go-humanize v1.0.1/go.mod"
	"github.com/erikgeiser/coninput v0.0.0-20211004153227-1c3628e74d0f"
	"github.com/erikgeiser/coninput v0.0.0-20211004153227-1c3628e74d0f/go.mod"
	"github.com/fatih/color v1.9.0/go.mod"
	"github.com/fatih/color v1.18.0"
	"github.com/fatih/color v1.18.0/go.mod"
	"github.com/fatih/structs v1.1.0"
	"github.com/fatih/structs v1.1.0/go.mod"
	"github.com/go-ini/ini v1.67.0"
	"github.com/go-ini/ini v1.67.0/go.mod"
	"github.com/go-logr/logr v1.4.2"
	"github.com/go-logr/logr v1.4.2/go.mod"
	"github.com/go-logr/stdr v1.2.2"
	"github.com/go-logr/stdr v1.2.2/go.mod"
	"github.com/go-ole/go-ole v1.2.6/go.mod"
	"github.com/go-ole/go-ole v1.3.0"
	"github.com/go-ole/go-ole v1.3.0/go.mod"
	"github.com/goccy/go-json v0.10.5"
	"github.com/goccy/go-json v0.10.5/go.mod"
	"github.com/godbus/dbus/v5 v5.0.4/go.mod"
	"github.com/gogo/protobuf v1.3.2"
	"github.com/gogo/protobuf v1.3.2/go.mod"
	"github.com/golang-jwt/jwt/v4 v4.5.1"
	"github.com/golang-jwt/jwt/v4 v4.5.1/go.mod"
	"github.com/golang/protobuf v1.2.0/go.mod"
	"github.com/golang/protobuf v1.5.4"
	"github.com/golang/protobuf v1.5.4/go.mod"
	"github.com/google/go-cmp v0.7.0"
	"github.com/google/go-cmp v0.7.0/go.mod"
	"github.com/google/shlex v0.0.0-20191202100458-e7afc7fbc510"
	"github.com/google/shlex v0.0.0-20191202100458-e7afc7fbc510/go.mod"
	"github.com/google/uuid v1.6.0"
	"github.com/google/uuid v1.6.0/go.mod"
	"github.com/hashicorp/errwrap v1.0.0/go.mod"
	"github.com/hashicorp/errwrap v1.1.0"
	"github.com/hashicorp/errwrap v1.1.0/go.mod"
	"github.com/hashicorp/go-multierror v1.0.0/go.mod"
	"github.com/hashicorp/go-multierror v1.1.1"
	"github.com/hashicorp/go-multierror v1.1.1/go.mod"
	"github.com/inconshreveable/mousetrap v1.1.0"
	"github.com/inconshreveable/mousetrap v1.1.0/go.mod"
	"github.com/jedib0t/go-pretty/v6 v6.6.7"
	"github.com/jedib0t/go-pretty/v6 v6.6.7/go.mod"
	"github.com/juju/ratelimit v1.0.2"
	"github.com/juju/ratelimit v1.0.2/go.mod"
	"github.com/kisielk/errcheck v1.5.0/go.mod"
	"github.com/kisielk/gotool v1.0.0/go.mod"
	"github.com/klauspost/compress v1.18.0"
	"github.com/klauspost/compress v1.18.0/go.mod"
	"github.com/klauspost/cpuid/v2 v2.0.1/go.mod"
	"github.com/klauspost/cpuid/v2 v2.2.10"
	"github.com/klauspost/cpuid/v2 v2.2.10/go.mod"
	"github.com/kr/pretty v0.2.1/go.mod"
	"github.com/kr/pretty v0.3.1"
	"github.com/kr/pretty v0.3.1/go.mod"
	"github.com/kr/pty v1.1.1/go.mod"
	"github.com/kr/text v0.1.0/go.mod"
	"github.com/kr/text v0.2.0"
	"github.com/kr/text v0.2.0/go.mod"
	"github.com/kylelemons/godebug v1.1.0"
	"github.com/kylelemons/godebug v1.1.0/go.mod"
	"github.com/lestrrat-go/blackmagic v1.0.2"
	"github.com/lestrrat-go/blackmagic v1.0.2/go.mod"
	"github.com/lestrrat-go/httpcc v1.0.1"
	"github.com/lestrrat-go/httpcc v1.0.1/go.mod"
	"github.com/lestrrat-go/httprc v1.0.6"
	"github.com/lestrrat-go/httprc v1.0.6/go.mod"
	"github.com/lestrrat-go/iter v1.0.2"
	"github.com/lestrrat-go/iter v1.0.2/go.mod"
	"github.com/lestrrat-go/jwx/v2 v2.1.4"
	"github.com/lestrrat-go/jwx/v2 v2.1.4/go.mod"
	"github.com/lestrrat-go/option v1.0.1"
	"github.com/lestrrat-go/option v1.0.1/go.mod"
	"github.com/lucasb-eyer/go-colorful v1.2.0"
	"github.com/lucasb-eyer/go-colorful v1.2.0/go.mod"
	"github.com/lufia/plan9stats v0.0.0-20250303091104-876f3ea5145d"
	"github.com/lufia/plan9stats v0.0.0-20250303091104-876f3ea5145d/go.mod"
	"github.com/mattn/go-colorable v0.1.4/go.mod"
	"github.com/mattn/go-colorable v0.1.14"
	"github.com/mattn/go-colorable v0.1.14/go.mod"
	"github.com/mattn/go-ieproxy v0.0.12"
	"github.com/mattn/go-ieproxy v0.0.12/go.mod"
	"github.com/mattn/go-isatty v0.0.8/go.mod"
	"github.com/mattn/go-isatty v0.0.11/go.mod"
	"github.com/mattn/go-isatty v0.0.20"
	"github.com/mattn/go-isatty v0.0.20/go.mod"
	"github.com/mattn/go-localereader v0.0.1"
	"github.com/mattn/go-localereader v0.0.1/go.mod"
	"github.com/mattn/go-runewidth v0.0.4/go.mod"
	"github.com/mattn/go-runewidth v0.0.9/go.mod"
	"github.com/mattn/go-runewidth v0.0.12/go.mod"
	"github.com/mattn/go-runewidth v0.0.16"
	"github.com/mattn/go-runewidth v0.0.16/go.mod"
	"github.com/matttproud/golang_protobuf_extensions v1.0.4"
	"github.com/matttproud/golang_protobuf_extensions v1.0.4/go.mod"
	"github.com/minio/cli v1.24.2"
	"github.com/minio/cli v1.24.2/go.mod"
	"github.com/minio/colorjson v1.0.8"
	"github.com/minio/colorjson v1.0.8/go.mod"
	"github.com/minio/crc64nvme v1.0.1"
	"github.com/minio/crc64nvme v1.0.1/go.mod"
	"github.com/minio/filepath v1.0.0"
	"github.com/minio/filepath v1.0.0/go.mod"
	"github.com/minio/madmin-go/v3 v3.0.96"
	"github.com/minio/madmin-go/v3 v3.0.96/go.mod"
	"github.com/minio/md5-simd v1.1.2"
	"github.com/minio/md5-simd v1.1.2/go.mod"
	"github.com/minio/minio-go/v7 v7.0.88"
	"github.com/minio/minio-go/v7 v7.0.88/go.mod"
	"github.com/minio/mux v1.9.0"
	"github.com/minio/mux v1.9.0/go.mod"
	"github.com/minio/pkg/v3 v3.1.0"
	"github.com/minio/pkg/v3 v3.1.0/go.mod"
	"github.com/minio/selfupdate v0.6.0"
	"github.com/minio/selfupdate v0.6.0/go.mod"
	"github.com/mitchellh/go-homedir v1.1.0"
	"github.com/mitchellh/go-homedir v1.1.0/go.mod"
	"github.com/muesli/ansi v0.0.0-20230316100256-276c6243b2f6"
	"github.com/muesli/ansi v0.0.0-20230316100256-276c6243b2f6/go.mod"
	"github.com/muesli/cancelreader v0.2.2"
	"github.com/muesli/cancelreader v0.2.2/go.mod"
	"github.com/muesli/reflow v0.3.0"
	"github.com/muesli/reflow v0.3.0/go.mod"
	"github.com/muesli/termenv v0.16.0"
	"github.com/muesli/termenv v0.16.0/go.mod"
	"github.com/munnerz/goautoneg v0.0.0-20191010083416-a7dc8b61c822"
	"github.com/munnerz/goautoneg v0.0.0-20191010083416-a7dc8b61c822/go.mod"
	"github.com/olekukonko/tablewriter v0.0.5"
	"github.com/olekukonko/tablewriter v0.0.5/go.mod"
	"github.com/philhofer/fwd v1.1.3-0.20240916144458-20a13a1f6b7c"
	"github.com/philhofer/fwd v1.1.3-0.20240916144458-20a13a1f6b7c/go.mod"
	"github.com/pkg/diff v0.0.0-20210226163009-20ebb0f2a09e/go.mod"
	"github.com/pkg/xattr v0.4.10"
	"github.com/pkg/xattr v0.4.10/go.mod"
	"github.com/pmezard/go-difflib v1.0.0/go.mod"
	"github.com/pmezard/go-difflib v1.0.1-0.20181226105442-5d4384ee4fb2"
	"github.com/pmezard/go-difflib v1.0.1-0.20181226105442-5d4384ee4fb2/go.mod"
	"github.com/posener/complete v1.2.3"
	"github.com/posener/complete v1.2.3/go.mod"
	"github.com/power-devops/perfstat v0.0.0-20240221224432-82ca36839d55"
	"github.com/power-devops/perfstat v0.0.0-20240221224432-82ca36839d55/go.mod"
	"github.com/prometheus/client_golang v1.21.1"
	"github.com/prometheus/client_golang v1.21.1/go.mod"
	"github.com/prometheus/client_model v0.6.1"
	"github.com/prometheus/client_model v0.6.1/go.mod"
	"github.com/prometheus/common v0.62.0"
	"github.com/prometheus/common v0.62.0/go.mod"
	"github.com/prometheus/procfs v0.15.1"
	"github.com/prometheus/procfs v0.15.1/go.mod"
	"github.com/prometheus/prom2json v1.4.1"
	"github.com/prometheus/prom2json v1.4.1/go.mod"
	"github.com/prometheus/prometheus v0.302.1"
	"github.com/prometheus/prometheus v0.302.1/go.mod"
	"github.com/rivo/uniseg v0.1.0/go.mod"
	"github.com/rivo/uniseg v0.2.0/go.mod"
	"github.com/rivo/uniseg v0.4.7"
	"github.com/rivo/uniseg v0.4.7/go.mod"
	"github.com/rjeczalik/notify v0.9.3"
	"github.com/rjeczalik/notify v0.9.3/go.mod"
	"github.com/rogpeppe/go-internal v1.9.0/go.mod"
	"github.com/rogpeppe/go-internal v1.10.0"
	"github.com/rogpeppe/go-internal v1.10.0/go.mod"
	"github.com/rs/xid v1.6.0"
	"github.com/rs/xid v1.6.0/go.mod"
	"github.com/safchain/ethtool v0.5.10"
	"github.com/safchain/ethtool v0.5.10/go.mod"
	"github.com/secure-io/sio-go v0.3.1"
	"github.com/secure-io/sio-go v0.3.1/go.mod"
	"github.com/segmentio/asm v1.2.0"
	"github.com/segmentio/asm v1.2.0/go.mod"
	"github.com/shirou/gopsutil/v3 v3.24.5"
	"github.com/shirou/gopsutil/v3 v3.24.5/go.mod"
	"github.com/shoenig/go-m1cpu v0.1.6"
	"github.com/shoenig/go-m1cpu v0.1.6/go.mod"
	"github.com/shoenig/test v0.6.4"
	"github.com/shoenig/test v0.6.4/go.mod"
	"github.com/stretchr/objx v0.1.0/go.mod"
	"github.com/stretchr/testify v1.4.0/go.mod"
	"github.com/stretchr/testify v1.6.1/go.mod"
	"github.com/stretchr/testify v1.7.1/go.mod"
	"github.com/stretchr/testify v1.10.0"
	"github.com/stretchr/testify v1.10.0/go.mod"
	"github.com/tidwall/gjson v1.18.0"
	"github.com/tidwall/gjson v1.18.0/go.mod"
	"github.com/tidwall/match v1.1.1"
	"github.com/tidwall/match v1.1.1/go.mod"
	"github.com/tidwall/pretty v1.2.0/go.mod"
	"github.com/tidwall/pretty v1.2.1"
	"github.com/tidwall/pretty v1.2.1/go.mod"
	"github.com/tinylib/msgp v1.2.5"
	"github.com/tinylib/msgp v1.2.5/go.mod"
	"github.com/tklauser/go-sysconf v0.3.15"
	"github.com/tklauser/go-sysconf v0.3.15/go.mod"
	"github.com/tklauser/numcpus v0.10.0"
	"github.com/tklauser/numcpus v0.10.0/go.mod"
	"github.com/vbauerster/mpb/v8 v8.9.3"
	"github.com/vbauerster/mpb/v8 v8.9.3/go.mod"
	"github.com/yuin/goldmark v1.1.27/go.mod"
	"github.com/yuin/goldmark v1.2.1/go.mod"
	"github.com/yusufpapurcu/wmi v1.2.4"
	"github.com/yusufpapurcu/wmi v1.2.4/go.mod"
	"go.etcd.io/etcd/api/v3 v3.5.19"
	"go.etcd.io/etcd/api/v3 v3.5.19/go.mod"
	"go.etcd.io/etcd/client/pkg/v3 v3.5.19"
	"go.etcd.io/etcd/client/pkg/v3 v3.5.19/go.mod"
	"go.etcd.io/etcd/client/v3 v3.5.19"
	"go.etcd.io/etcd/client/v3 v3.5.19/go.mod"
	"go.opentelemetry.io/auto/sdk v1.1.0"
	"go.opentelemetry.io/auto/sdk v1.1.0/go.mod"
	"go.opentelemetry.io/otel v1.34.0"
	"go.opentelemetry.io/otel v1.34.0/go.mod"
	"go.opentelemetry.io/otel/metric v1.34.0"
	"go.opentelemetry.io/otel/metric v1.34.0/go.mod"
	"go.opentelemetry.io/otel/sdk v1.34.0"
	"go.opentelemetry.io/otel/sdk v1.34.0/go.mod"
	"go.opentelemetry.io/otel/sdk/metric v1.34.0"
	"go.opentelemetry.io/otel/sdk/metric v1.34.0/go.mod"
	"go.opentelemetry.io/otel/trace v1.34.0"
	"go.opentelemetry.io/otel/trace v1.34.0/go.mod"
	"go.uber.org/goleak v1.3.0"
	"go.uber.org/goleak v1.3.0/go.mod"
	"go.uber.org/multierr v1.11.0"
	"go.uber.org/multierr v1.11.0/go.mod"
	"go.uber.org/zap v1.27.0"
	"go.uber.org/zap v1.27.0/go.mod"
	"golang.org/x/crypto v0.0.0-20190308221718-c2843e01d9a2/go.mod"
	"golang.org/x/crypto v0.0.0-20191011191535-87dc89f01550/go.mod"
	"golang.org/x/crypto v0.0.0-20200302210943-78000ba7a073/go.mod"
	"golang.org/x/crypto v0.0.0-20200622213623-75b288015ac9/go.mod"
	"golang.org/x/crypto v0.0.0-20210220033148-5ea612d1eb83/go.mod"
	"golang.org/x/crypto v0.0.0-20211209193657-4570a0811e8b/go.mod"
	"golang.org/x/crypto v0.36.0"
	"golang.org/x/crypto v0.36.0/go.mod"
	"golang.org/x/mod v0.2.0/go.mod"
	"golang.org/x/mod v0.3.0/go.mod"
	"golang.org/x/net v0.0.0-20190404232315-eb5bcb51f2a3/go.mod"
	"golang.org/x/net v0.0.0-20190620200207-3b0461eec859/go.mod"
	"golang.org/x/net v0.0.0-20200226121028-0de0cce0169b/go.mod"
	"golang.org/x/net v0.0.0-20201021035429-f5854403a974/go.mod"
	"golang.org/x/net v0.0.0-20211112202133-69e39bad7dc2/go.mod"
	"golang.org/x/net v0.37.0"
	"golang.org/x/net v0.37.0/go.mod"
	"golang.org/x/sync v0.0.0-20181221193216-37e7f081c4d4/go.mod"
	"golang.org/x/sync v0.0.0-20190423024810-112230192c58/go.mod"
	"golang.org/x/sync v0.0.0-20190911185100-cd5d95a43a6e/go.mod"
	"golang.org/x/sync v0.0.0-20201020160332-67f06af15bc9/go.mod"
	"golang.org/x/sync v0.12.0"
	"golang.org/x/sync v0.12.0/go.mod"
	"golang.org/x/sys v0.0.0-20180926160741-c2ed4eda69e7/go.mod"
	"golang.org/x/sys v0.0.0-20190215142949-d0b11bdaac8a/go.mod"
	"golang.org/x/sys v0.0.0-20190222072716-a9d3bda3a223/go.mod"
	"golang.org/x/sys v0.0.0-20190412213103-97732733099d/go.mod"
	"golang.org/x/sys v0.0.0-20190916202348-b4ddaad3f8a3/go.mod"
	"golang.org/x/sys v0.0.0-20191026070338-33540a1f6037/go.mod"
	"golang.org/x/sys v0.0.0-20200302150141-5c8b2ff67527/go.mod"
	"golang.org/x/sys v0.0.0-20200930185726-fdedc70b468f/go.mod"
	"golang.org/x/sys v0.0.0-20201119102817-f84b799fce68/go.mod"
	"golang.org/x/sys v0.0.0-20201204225414-ed752295db88/go.mod"
	"golang.org/x/sys v0.0.0-20210228012217-479acdf4ea46/go.mod"
	"golang.org/x/sys v0.0.0-20210423082822-04245dca01da/go.mod"
	"golang.org/x/sys v0.0.0-20210615035016-665e8c7367d1/go.mod"
	"golang.org/x/sys v0.0.0-20210809222454-d867a43fc93e/go.mod"
	"golang.org/x/sys v0.0.0-20220408201424-a24fb2fb8a0f/go.mod"
	"golang.org/x/sys v0.1.0/go.mod"
	"golang.org/x/sys v0.6.0/go.mod"
	"golang.org/x/sys v0.29.0/go.mod"
	"golang.org/x/sys v0.31.0"
	"golang.org/x/sys v0.31.0/go.mod"
	"golang.org/x/term v0.0.0-20201117132131-f5c789dd3221/go.mod"
	"golang.org/x/term v0.0.0-20201126162022-7de9c90e9dd1/go.mod"
	"golang.org/x/term v0.30.0"
	"golang.org/x/term v0.30.0/go.mod"
	"golang.org/x/text v0.3.0/go.mod"
	"golang.org/x/text v0.3.3/go.mod"
	"golang.org/x/text v0.3.6/go.mod"
	"golang.org/x/text v0.23.0"
	"golang.org/x/text v0.23.0/go.mod"
	"golang.org/x/tools v0.0.0-20180917221912-90fa682c2a6e/go.mod"
	"golang.org/x/tools v0.0.0-20191119224855-298f0cb1881e/go.mod"
	"golang.org/x/tools v0.0.0-20200619180055-7c47624df98f/go.mod"
	"golang.org/x/tools v0.0.0-20210106214847-113979e3529a/go.mod"
	"golang.org/x/xerrors v0.0.0-20190717185122-a985d3407aa7/go.mod"
	"golang.org/x/xerrors v0.0.0-20191011141410-1b5146add898/go.mod"
	"golang.org/x/xerrors v0.0.0-20191204190536-9bdfabe68543/go.mod"
	"golang.org/x/xerrors v0.0.0-20200804184101-5ec99f83aff1/go.mod"
	"google.golang.org/genproto/googleapis/api v0.0.0-20250311173030-29e43e6258d7"
	"google.golang.org/genproto/googleapis/api v0.0.0-20250311173030-29e43e6258d7/go.mod"
	"google.golang.org/genproto/googleapis/rpc v0.0.0-20250303144028-a0af3efb3deb"
	"google.golang.org/genproto/googleapis/rpc v0.0.0-20250303144028-a0af3efb3deb/go.mod"
	"google.golang.org/grpc v1.71.0"
	"google.golang.org/grpc v1.71.0/go.mod"
	"google.golang.org/protobuf v1.36.5"
	"google.golang.org/protobuf v1.36.5/go.mod"
	"gopkg.in/check.v1 v0.0.0-20161208181325-20d25e280405/go.mod"
	"gopkg.in/check.v1 v1.0.0-20201130134442-10cb98267c6c"
	"gopkg.in/check.v1 v1.0.0-20201130134442-10cb98267c6c/go.mod"
	"gopkg.in/urfave/cli.v1 v1.20.0/go.mod"
	"gopkg.in/yaml.v2 v2.2.2/go.mod"
	"gopkg.in/yaml.v2 v2.4.0"
	"gopkg.in/yaml.v2 v2.4.0/go.mod"
	"gopkg.in/yaml.v3 v3.0.0-20200313102051-9f266ea9e77c/go.mod"
	"gopkg.in/yaml.v3 v3.0.1"
	"gopkg.in/yaml.v3 v3.0.1/go.mod"

)

go-module_set_globals
EGO_SKIP_TIDY=1

DESCRIPTION="Fast tool to manage MinIO clusters"
HOMEPAGE="https://min.io/ https://github.com/minio/mc"
SRC_URI="
https://github.com/minio/mc/tarball/a974454e0849cb44a6dff0dda352a086d6c5755e -> mc-2025.03.12-a974454.tar.gz
https://distfiles.macaronios.org/3a/16/ff/3a16ff6c4052cff180b3f38149251e4acc6f8599e255edbdb022329c3898ac0f7c1d7dd46ea22bc8d47293ec354203c21670b36e7826f9cec95f1ef3dd590651 -> minio-client-2025.03.12-funtoo-go-bundle-e1f4effbbf3fdcea888295bef9f785e6238293c2114e4820edb65bc076c165303fb388609801c653574e5f9530106bb455a301b22b7a48748b55e68ade2e395b.tar.gz"

MY_PV="$(ver_cut 1-3)T$(ver_cut 4-7)Z"
MY_PV=${MY_PV//./-}
EGIT_COMMIT=""
IUSE=""
LICENSE="AGPL-3.0"
SLOT="0"
KEYWORDS="*"

BDEPEND="dev-lang/go"

src_prepare() {
	default

	sed -i -e "s/time.Now().UTC().Format(time.RFC3339)/\"${MY_PV}\"/"\
		-e "s/-s //"\
		-e "/time/d"\
		-e "s/+ commitID()/+ \"${EGIT_COMMIT}\"/"\
		buildscripts/gen-ldflags.go || die
}

src_unpack() {
	go-module_src_unpack
	mv ${WORKDIR}/minio-mc-* ${S} || die
}

src_compile() {
	unset XDG_CACHE_HOME

	MINIO_RELEASE="${MY_PV}"
	go run buildscripts/gen-ldflags.go
	CGO_ENABLED=0 \
		go build --ldflags "$(go run buildscripts/gen-ldflags.go)" -o mc || die
}

src_install() {
	dobin mc
}

# vim: filetype=ebuild