# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit go-module user systemd

EGO_SUM=(
	"aead.dev/mem v0.2.0"
	"aead.dev/mem v0.2.0/go.mod"
	"aead.dev/minisign v0.2.0/go.mod"
	"aead.dev/minisign v0.3.0"
	"aead.dev/minisign v0.3.0/go.mod"
	"cel.dev/expr v0.18.0"
	"cel.dev/expr v0.18.0/go.mod"
	"cloud.google.com/go v0.26.0/go.mod"
	"cloud.google.com/go v0.116.0"
	"cloud.google.com/go v0.116.0/go.mod"
	"cloud.google.com/go/auth v0.13.0"
	"cloud.google.com/go/auth v0.13.0/go.mod"
	"cloud.google.com/go/auth/oauth2adapt v0.2.6"
	"cloud.google.com/go/auth/oauth2adapt v0.2.6/go.mod"
	"cloud.google.com/go/compute/metadata v0.6.0"
	"cloud.google.com/go/compute/metadata v0.6.0/go.mod"
	"cloud.google.com/go/iam v1.2.2"
	"cloud.google.com/go/iam v1.2.2/go.mod"
	"cloud.google.com/go/logging v1.12.0"
	"cloud.google.com/go/logging v1.12.0/go.mod"
	"cloud.google.com/go/longrunning v0.6.2"
	"cloud.google.com/go/longrunning v0.6.2/go.mod"
	"cloud.google.com/go/monitoring v1.21.2"
	"cloud.google.com/go/monitoring v1.21.2/go.mod"
	"cloud.google.com/go/storage v1.46.0"
	"cloud.google.com/go/storage v1.46.0/go.mod"
	"cloud.google.com/go/trace v1.11.2"
	"cloud.google.com/go/trace v1.11.2/go.mod"
	"filippo.io/edwards25519 v1.1.0"
	"filippo.io/edwards25519 v1.1.0/go.mod"
	"github.com/!azure/azure-sdk-for-go/sdk/azcore v1.16.0"
	"github.com/!azure/azure-sdk-for-go/sdk/azcore v1.16.0/go.mod"
	"github.com/!azure/azure-sdk-for-go/sdk/azidentity v1.8.0"
	"github.com/!azure/azure-sdk-for-go/sdk/azidentity v1.8.0/go.mod"
	"github.com/!azure/azure-sdk-for-go/sdk/azidentity/cache v0.3.0"
	"github.com/!azure/azure-sdk-for-go/sdk/azidentity/cache v0.3.0/go.mod"
	"github.com/!azure/azure-sdk-for-go/sdk/internal v1.10.0"
	"github.com/!azure/azure-sdk-for-go/sdk/internal v1.10.0/go.mod"
	"github.com/!azure/azure-sdk-for-go/sdk/resourcemanager/storage/armstorage v1.6.0"
	"github.com/!azure/azure-sdk-for-go/sdk/resourcemanager/storage/armstorage v1.6.0/go.mod"
	"github.com/!azure/azure-sdk-for-go/sdk/storage/azblob v1.5.0"
	"github.com/!azure/azure-sdk-for-go/sdk/storage/azblob v1.5.0/go.mod"
	"github.com/!azure/go-ntlmssp v0.0.0-20221128193559-754e69321358"
	"github.com/!azure/go-ntlmssp v0.0.0-20221128193559-754e69321358/go.mod"
	"github.com/!azure!a!d/microsoft-authentication-extensions-for-go/cache v0.1.1"
	"github.com/!azure!a!d/microsoft-authentication-extensions-for-go/cache v0.1.1/go.mod"
	"github.com/!azure!a!d/microsoft-authentication-library-for-go v1.3.1"
	"github.com/!azure!a!d/microsoft-authentication-library-for-go v1.3.1/go.mod"
	"github.com/!burnt!sushi/toml v0.3.1/go.mod"
	"github.com/!data!dog/datadog-go v2.2.0+incompatible/go.mod"
	"github.com/!google!cloud!platform/opentelemetry-operations-go/detectors/gcp v1.25.0"
	"github.com/!google!cloud!platform/opentelemetry-operations-go/detectors/gcp v1.25.0/go.mod"
	"github.com/!google!cloud!platform/opentelemetry-operations-go/exporter/metric v0.49.0"
	"github.com/!google!cloud!platform/opentelemetry-operations-go/exporter/metric v0.49.0/go.mod"
	"github.com/!google!cloud!platform/opentelemetry-operations-go/internal/cloudmock v0.49.0"
	"github.com/!google!cloud!platform/opentelemetry-operations-go/internal/cloudmock v0.49.0/go.mod"
	"github.com/!google!cloud!platform/opentelemetry-operations-go/internal/resourcemapping v0.49.0"
	"github.com/!google!cloud!platform/opentelemetry-operations-go/internal/resourcemapping v0.49.0/go.mod"
	"github.com/!i!b!m/sarama v1.43.3"
	"github.com/!i!b!m/sarama v1.43.3/go.mod"
	"github.com/!vivid!cortex/ewma v1.2.0"
	"github.com/!vivid!cortex/ewma v1.2.0/go.mod"
	"github.com/acarl005/stripansi v0.0.0-20180116102854-5a71ef0e047d"
	"github.com/acarl005/stripansi v0.0.0-20180116102854-5a71ef0e047d/go.mod"
	"github.com/alecthomas/participle v0.7.1"
	"github.com/alecthomas/participle v0.7.1/go.mod"
	"github.com/alecthomas/repr v0.0.0-20181024024818-d37bc2a10ba1/go.mod"
	"github.com/alexbrainman/sspi v0.0.0-20231016080023-1a75b4708caa"
	"github.com/alexbrainman/sspi v0.0.0-20231016080023-1a75b4708caa/go.mod"
	"github.com/apache/thrift v0.16.0/go.mod"
	"github.com/apache/thrift v0.21.0"
	"github.com/apache/thrift v0.21.0/go.mod"
	"github.com/araddon/dateparse v0.0.0-20210429162001-6b43995a97de/go.mod"
	"github.com/armon/consul-api v0.0.0-20180202201655-eb2c6b5be1b6/go.mod"
	"github.com/armon/go-metrics v0.0.0-20190430140413-ec5e00d3c878/go.mod"
	"github.com/armon/go-metrics v0.4.1"
	"github.com/armon/go-metrics v0.4.1/go.mod"
	"github.com/asaskevich/govalidator v0.0.0-20230301143203-a9d515a09cc2"
	"github.com/asaskevich/govalidator v0.0.0-20230301143203-a9d515a09cc2/go.mod"
	"github.com/aymanbagabas/go-osc52/v2 v2.0.1"
	"github.com/aymanbagabas/go-osc52/v2 v2.0.1/go.mod"
	"github.com/aymanbagabas/go-udiff v0.2.0"
	"github.com/aymanbagabas/go-udiff v0.2.0/go.mod"
	"github.com/beevik/ntp v1.4.3"
	"github.com/beevik/ntp v1.4.3/go.mod"
	"github.com/beorn7/perks v0.0.0-20180321164747-3a771d992973/go.mod"
	"github.com/beorn7/perks v1.0.1"
	"github.com/beorn7/perks v1.0.1/go.mod"
	"github.com/buger/jsonparser v1.1.1"
	"github.com/buger/jsonparser v1.1.1/go.mod"
	"github.com/census-instrumentation/opencensus-proto v0.2.1/go.mod"
	"github.com/census-instrumentation/opencensus-proto v0.4.1"
	"github.com/census-instrumentation/opencensus-proto v0.4.1/go.mod"
	"github.com/cespare/xxhash/v2 v2.3.0"
	"github.com/cespare/xxhash/v2 v2.3.0/go.mod"
	"github.com/charmbracelet/bubbles v0.20.0"
	"github.com/charmbracelet/bubbles v0.20.0/go.mod"
	"github.com/charmbracelet/bubbletea v1.2.4"
	"github.com/charmbracelet/bubbletea v1.2.4/go.mod"
	"github.com/charmbracelet/lipgloss v1.0.0"
	"github.com/charmbracelet/lipgloss v1.0.0/go.mod"
	"github.com/charmbracelet/x/ansi v0.6.0"
	"github.com/charmbracelet/x/ansi v0.6.0/go.mod"
	"github.com/charmbracelet/x/exp/golden v0.0.0-20240815200342-61de596daa2b"
	"github.com/charmbracelet/x/exp/golden v0.0.0-20240815200342-61de596daa2b/go.mod"
	"github.com/charmbracelet/x/term v0.2.1"
	"github.com/charmbracelet/x/term v0.2.1/go.mod"
	"github.com/cheggaaa/pb v1.0.29"
	"github.com/cheggaaa/pb v1.0.29/go.mod"
	"github.com/chromedp/cdproto v0.0.0-20230802225258-3cf4e6d46a89/go.mod"
	"github.com/chromedp/chromedp v0.9.2/go.mod"
	"github.com/chromedp/sysutil v1.0.0/go.mod"
	"github.com/chzyer/logex v1.2.1/go.mod"
	"github.com/chzyer/readline v1.5.1/go.mod"
	"github.com/chzyer/test v1.0.0/go.mod"
	"github.com/circonus-labs/circonus-gometrics v2.3.1+incompatible/go.mod"
	"github.com/circonus-labs/circonusllhist v0.1.3/go.mod"
	"github.com/client9/misspell v0.3.4/go.mod"
	"github.com/cncf/udpa/go v0.0.0-20191209042840-269d4d468f6f/go.mod"
	"github.com/cncf/xds/go v0.0.0-20240905190251-b4127c9b8d78"
	"github.com/cncf/xds/go v0.0.0-20240905190251-b4127c9b8d78/go.mod"
	"github.com/coreos/etcd v3.3.10+incompatible/go.mod"
	"github.com/coreos/go-etcd v2.0.0+incompatible/go.mod"
	"github.com/coreos/go-oidc/v3 v3.11.0"
	"github.com/coreos/go-oidc/v3 v3.11.0/go.mod"
	"github.com/coreos/go-semver v0.2.0/go.mod"
	"github.com/coreos/go-semver v0.3.1"
	"github.com/coreos/go-semver v0.3.1/go.mod"
	"github.com/coreos/go-systemd/v22 v22.5.0"
	"github.com/coreos/go-systemd/v22 v22.5.0/go.mod"
	"github.com/cosnicolaou/pbzip2 v1.0.5"
	"github.com/cosnicolaou/pbzip2 v1.0.5/go.mod"
	"github.com/cpuguy83/go-md2man v1.0.10/go.mod"
	"github.com/davecgh/go-spew v1.1.0/go.mod"
	"github.com/davecgh/go-spew v1.1.1/go.mod"
	"github.com/davecgh/go-spew v1.1.2-0.20180830191138-d8f796af33cc"
	"github.com/davecgh/go-spew v1.1.2-0.20180830191138-d8f796af33cc/go.mod"
	"github.com/dchest/siphash v1.2.3"
	"github.com/dchest/siphash v1.2.3/go.mod"
	"github.com/decred/dcrd/dcrec/secp256k1/v4 v4.3.0"
	"github.com/decred/dcrd/dcrec/secp256k1/v4 v4.3.0/go.mod"
	"github.com/dgryski/go-rendezvous v0.0.0-20200823014737-9f7001d12a5f"
	"github.com/dgryski/go-rendezvous v0.0.0-20200823014737-9f7001d12a5f/go.mod"
	"github.com/docker/go-units v0.5.0"
	"github.com/docker/go-units v0.5.0/go.mod"
	"github.com/dustin/go-humanize v1.0.0/go.mod"
	"github.com/dustin/go-humanize v1.0.1"
	"github.com/dustin/go-humanize v1.0.1/go.mod"
	"github.com/eapache/go-resiliency v1.7.0"
	"github.com/eapache/go-resiliency v1.7.0/go.mod"
	"github.com/eapache/go-xerial-snappy v0.0.0-20230731223053-c322873962e3"
	"github.com/eapache/go-xerial-snappy v0.0.0-20230731223053-c322873962e3/go.mod"
	"github.com/eapache/queue v1.1.0"
	"github.com/eapache/queue v1.1.0/go.mod"
	"github.com/eclipse/paho.mqtt.golang v1.5.0"
	"github.com/eclipse/paho.mqtt.golang v1.5.0/go.mod"
	"github.com/elastic/go-elasticsearch/v7 v7.17.10"
	"github.com/elastic/go-elasticsearch/v7 v7.17.10/go.mod"
	"github.com/envoyproxy/go-control-plane v0.9.0/go.mod"
	"github.com/envoyproxy/go-control-plane v0.9.1-0.20191026205805-5f8ba28d4473/go.mod"
	"github.com/envoyproxy/go-control-plane v0.9.4/go.mod"
	"github.com/envoyproxy/go-control-plane v0.13.1"
	"github.com/envoyproxy/go-control-plane v0.13.1/go.mod"
	"github.com/envoyproxy/protoc-gen-validate v0.1.0/go.mod"
	"github.com/envoyproxy/protoc-gen-validate v1.1.0"
	"github.com/envoyproxy/protoc-gen-validate v1.1.0/go.mod"
	"github.com/erikgeiser/coninput v0.0.0-20211004153227-1c3628e74d0f"
	"github.com/erikgeiser/coninput v0.0.0-20211004153227-1c3628e74d0f/go.mod"
	"github.com/fatih/color v1.7.0/go.mod"
	"github.com/fatih/color v1.9.0/go.mod"
	"github.com/fatih/color v1.18.0"
	"github.com/fatih/color v1.18.0/go.mod"
	"github.com/fatih/structs v1.1.0"
	"github.com/fatih/structs v1.1.0/go.mod"
	"github.com/felixge/fgprof v0.9.5"
	"github.com/felixge/fgprof v0.9.5/go.mod"
	"github.com/felixge/httpsnoop v1.0.4"
	"github.com/felixge/httpsnoop v1.0.4/go.mod"
	"github.com/fortytw2/leaktest v1.3.0"
	"github.com/fortytw2/leaktest v1.3.0/go.mod"
	"github.com/fraugster/parquet-go v0.12.0"
	"github.com/fraugster/parquet-go v0.12.0/go.mod"
	"github.com/fsnotify/fsnotify v1.4.7/go.mod"
	"github.com/go-asn1-ber/asn1-ber v1.5.5/go.mod"
	"github.com/go-asn1-ber/asn1-ber v1.5.7"
	"github.com/go-asn1-ber/asn1-ber v1.5.7/go.mod"
	"github.com/go-ini/ini v1.67.0"
	"github.com/go-ini/ini v1.67.0/go.mod"
	"github.com/go-jose/go-jose/v4 v4.0.4"
	"github.com/go-jose/go-jose/v4 v4.0.4/go.mod"
	"github.com/go-ldap/ldap/v3 v3.4.8"
	"github.com/go-ldap/ldap/v3 v3.4.8/go.mod"
	"github.com/go-logr/logr v1.2.2/go.mod"
	"github.com/go-logr/logr v1.4.2"
	"github.com/go-logr/logr v1.4.2/go.mod"
	"github.com/go-logr/stdr v1.2.2"
	"github.com/go-logr/stdr v1.2.2/go.mod"
	"github.com/go-ole/go-ole v1.2.6/go.mod"
	"github.com/go-ole/go-ole v1.3.0"
	"github.com/go-ole/go-ole v1.3.0/go.mod"
	"github.com/go-openapi/analysis v0.23.0"
	"github.com/go-openapi/analysis v0.23.0/go.mod"
	"github.com/go-openapi/errors v0.22.0"
	"github.com/go-openapi/errors v0.22.0/go.mod"
	"github.com/go-openapi/jsonpointer v0.21.0"
	"github.com/go-openapi/jsonpointer v0.21.0/go.mod"
	"github.com/go-openapi/jsonreference v0.21.0"
	"github.com/go-openapi/jsonreference v0.21.0/go.mod"
	"github.com/go-openapi/loads v0.22.0"
	"github.com/go-openapi/loads v0.22.0/go.mod"
	"github.com/go-openapi/runtime v0.28.0"
	"github.com/go-openapi/runtime v0.28.0/go.mod"
	"github.com/go-openapi/spec v0.21.0"
	"github.com/go-openapi/spec v0.21.0/go.mod"
	"github.com/go-openapi/strfmt v0.23.0"
	"github.com/go-openapi/strfmt v0.23.0/go.mod"
	"github.com/go-openapi/swag v0.23.0"
	"github.com/go-openapi/swag v0.23.0/go.mod"
	"github.com/go-openapi/validate v0.24.0"
	"github.com/go-openapi/validate v0.24.0/go.mod"
	"github.com/go-sql-driver/mysql v1.6.0/go.mod"
	"github.com/go-sql-driver/mysql v1.8.1"
	"github.com/go-sql-driver/mysql v1.8.1/go.mod"
	"github.com/gobwas/httphead v0.1.0"
	"github.com/gobwas/httphead v0.1.0/go.mod"
	"github.com/gobwas/pool v0.2.1"
	"github.com/gobwas/pool v0.2.1/go.mod"
	"github.com/gobwas/ws v1.2.1/go.mod"
	"github.com/gobwas/ws v1.4.0"
	"github.com/gobwas/ws v1.4.0/go.mod"
	"github.com/goccy/go-json v0.10.4"
	"github.com/goccy/go-json v0.10.4/go.mod"
	"github.com/godbus/dbus/v5 v5.0.4/go.mod"
	"github.com/gogo/protobuf v1.3.2"
	"github.com/gogo/protobuf v1.3.2/go.mod"
	"github.com/golang-jwt/jwt/v4 v4.5.1"
	"github.com/golang-jwt/jwt/v4 v4.5.1/go.mod"
	"github.com/golang-jwt/jwt/v5 v5.2.1"
	"github.com/golang-jwt/jwt/v5 v5.2.1/go.mod"
	"github.com/golang/glog v0.0.0-20160126235308-23def4e6c14b/go.mod"
	"github.com/golang/groupcache v0.0.0-20200121045136-8c9f03a8e57e/go.mod"
	"github.com/golang/groupcache v0.0.0-20210331224755-41bb18bfe9da"
	"github.com/golang/groupcache v0.0.0-20210331224755-41bb18bfe9da/go.mod"
	"github.com/golang/mock v1.1.1/go.mod"
	"github.com/golang/mock v1.5.0/go.mod"
	"github.com/golang/protobuf v1.2.0/go.mod"
	"github.com/golang/protobuf v1.3.2/go.mod"
	"github.com/golang/protobuf v1.4.0-rc.1/go.mod"
	"github.com/golang/protobuf v1.4.0-rc.1.0.20200221234624-67d41d38c208/go.mod"
	"github.com/golang/protobuf v1.4.0-rc.2/go.mod"
	"github.com/golang/protobuf v1.4.0-rc.4.0.20200313231945-b860323f09d0/go.mod"
	"github.com/golang/protobuf v1.4.0/go.mod"
	"github.com/golang/protobuf v1.4.1/go.mod"
	"github.com/golang/protobuf v1.4.2/go.mod"
	"github.com/golang/protobuf v1.4.3/go.mod"
	"github.com/golang/protobuf v1.5.4"
	"github.com/golang/protobuf v1.5.4/go.mod"
	"github.com/golang/snappy v0.0.1/go.mod"
	"github.com/golang/snappy v0.0.4"
	"github.com/golang/snappy v0.0.4/go.mod"
	"github.com/gomodule/redigo v1.9.2"
	"github.com/gomodule/redigo v1.9.2/go.mod"
	"github.com/google/go-cmp v0.2.0/go.mod"
	"github.com/google/go-cmp v0.3.0/go.mod"
	"github.com/google/go-cmp v0.3.1/go.mod"
	"github.com/google/go-cmp v0.4.0/go.mod"
	"github.com/google/go-cmp v0.5.0/go.mod"
	"github.com/google/go-cmp v0.5.3/go.mod"
	"github.com/google/go-cmp v0.5.4/go.mod"
	"github.com/google/go-cmp v0.6.0"
	"github.com/google/go-cmp v0.6.0/go.mod"
	"github.com/google/gofuzz v1.0.0/go.mod"
	"github.com/google/martian/v3 v3.3.3"
	"github.com/google/martian/v3 v3.3.3/go.mod"
	"github.com/google/pprof v0.0.0-20240227163752-401108e1b7e7/go.mod"
	"github.com/google/pprof v0.0.0-20241210010833-40e02aabc2ad"
	"github.com/google/pprof v0.0.0-20241210010833-40e02aabc2ad/go.mod"
	"github.com/google/s2a-go v0.1.8"
	"github.com/google/s2a-go v0.1.8/go.mod"
	"github.com/google/shlex v0.0.0-20191202100458-e7afc7fbc510"
	"github.com/google/shlex v0.0.0-20191202100458-e7afc7fbc510/go.mod"
	"github.com/google/uuid v1.1.2/go.mod"
	"github.com/google/uuid v1.3.0/go.mod"
	"github.com/google/uuid v1.6.0"
	"github.com/google/uuid v1.6.0/go.mod"
	"github.com/googleapis/enterprise-certificate-proxy v0.3.4"
	"github.com/googleapis/enterprise-certificate-proxy v0.3.4/go.mod"
	"github.com/googleapis/gax-go/v2 v2.14.0"
	"github.com/googleapis/gax-go/v2 v2.14.0/go.mod"
	"github.com/gopherjs/gopherjs v0.0.0-20181017120253-0766667cb4d1/go.mod"
	"github.com/gorilla/securecookie v1.1.1/go.mod"
	"github.com/gorilla/sessions v1.2.1/go.mod"
	"github.com/gorilla/websocket v1.5.3"
	"github.com/gorilla/websocket v1.5.3/go.mod"
	"github.com/hashicorp/errwrap v1.0.0/go.mod"
	"github.com/hashicorp/errwrap v1.1.0"
	"github.com/hashicorp/errwrap v1.1.0/go.mod"
	"github.com/hashicorp/go-cleanhttp v0.5.0/go.mod"
	"github.com/hashicorp/go-hclog v0.9.1/go.mod"
	"github.com/hashicorp/go-hclog v1.1.0/go.mod"
	"github.com/hashicorp/go-hclog v1.6.3"
	"github.com/hashicorp/go-hclog v1.6.3/go.mod"
	"github.com/hashicorp/go-immutable-radix v1.0.0/go.mod"
	"github.com/hashicorp/go-immutable-radix v1.3.1"
	"github.com/hashicorp/go-immutable-radix v1.3.1/go.mod"
	"github.com/hashicorp/go-msgpack v0.5.5/go.mod"
	"github.com/hashicorp/go-msgpack v1.1.5"
	"github.com/hashicorp/go-msgpack v1.1.5/go.mod"
	"github.com/hashicorp/go-multierror v1.0.0/go.mod"
	"github.com/hashicorp/go-multierror v1.1.1"
	"github.com/hashicorp/go-multierror v1.1.1/go.mod"
	"github.com/hashicorp/go-retryablehttp v0.5.3/go.mod"
	"github.com/hashicorp/go-uuid v1.0.0/go.mod"
	"github.com/hashicorp/go-uuid v1.0.2/go.mod"
	"github.com/hashicorp/go-uuid v1.0.3"
	"github.com/hashicorp/go-uuid v1.0.3/go.mod"
	"github.com/hashicorp/golang-lru v0.5.0/go.mod"
	"github.com/hashicorp/golang-lru v1.0.2"
	"github.com/hashicorp/golang-lru v1.0.2/go.mod"
	"github.com/hashicorp/hcl v1.0.0/go.mod"
	"github.com/hashicorp/raft v1.3.9"
	"github.com/hashicorp/raft v1.3.9/go.mod"
	"github.com/ianlancetaylor/demangle v0.0.0-20230524184225-eabc099b10ab/go.mod"
	"github.com/inconshreveable/mousetrap v1.0.0/go.mod"
	"github.com/inconshreveable/mousetrap v1.1.0"
	"github.com/inconshreveable/mousetrap v1.1.0/go.mod"
	"github.com/jcmturner/aescts/v2 v2.0.0"
	"github.com/jcmturner/aescts/v2 v2.0.0/go.mod"
	"github.com/jcmturner/dnsutils/v2 v2.0.0"
	"github.com/jcmturner/dnsutils/v2 v2.0.0/go.mod"
	"github.com/jcmturner/gofork v1.7.6"
	"github.com/jcmturner/gofork v1.7.6/go.mod"
	"github.com/jcmturner/goidentity/v6 v6.0.1"
	"github.com/jcmturner/goidentity/v6 v6.0.1/go.mod"
	"github.com/jcmturner/gokrb5/v8 v8.4.4"
	"github.com/jcmturner/gokrb5/v8 v8.4.4/go.mod"
	"github.com/jcmturner/rpc/v2 v2.0.3"
	"github.com/jcmturner/rpc/v2 v2.0.3/go.mod"
	"github.com/jedib0t/go-pretty/v6 v6.6.5"
	"github.com/jedib0t/go-pretty/v6 v6.6.5/go.mod"
	"github.com/jessevdk/go-flags v1.6.1"
	"github.com/jessevdk/go-flags v1.6.1/go.mod"
	"github.com/jlaffaye/ftp v0.0.0-20190624084859-c1312a7102bf/go.mod"
	"github.com/josharian/intern v1.0.0"
	"github.com/josharian/intern v1.0.0/go.mod"
	"github.com/json-iterator/go v1.1.12"
	"github.com/json-iterator/go v1.1.12/go.mod"
	"github.com/jtolds/gls v4.20.0+incompatible/go.mod"
	"github.com/juju/ratelimit v1.0.2"
	"github.com/juju/ratelimit v1.0.2/go.mod"
	"github.com/keybase/go-keychain v0.0.0-20231219164618-57a3676c3af6"
	"github.com/keybase/go-keychain v0.0.0-20231219164618-57a3676c3af6/go.mod"
	"github.com/kisielk/errcheck v1.5.0/go.mod"
	"github.com/kisielk/gotool v1.0.0/go.mod"
	"github.com/klauspost/compress v1.14.4/go.mod"
	"github.com/klauspost/compress v1.17.11"
	"github.com/klauspost/compress v1.17.11/go.mod"
	"github.com/klauspost/cpuid/v2 v2.0.1/go.mod"
	"github.com/klauspost/cpuid/v2 v2.2.9"
	"github.com/klauspost/cpuid/v2 v2.2.9/go.mod"
	"github.com/klauspost/filepathx v1.1.1"
	"github.com/klauspost/filepathx v1.1.1/go.mod"
	"github.com/klauspost/pgzip v1.2.6"
	"github.com/klauspost/pgzip v1.2.6/go.mod"
	"github.com/klauspost/readahead v1.4.0"
	"github.com/klauspost/readahead v1.4.0/go.mod"
	"github.com/klauspost/reedsolomon v1.12.4"
	"github.com/klauspost/reedsolomon v1.12.4/go.mod"
	"github.com/konsorten/go-windows-terminal-sequences v1.0.1/go.mod"
	"github.com/kr/fs v0.1.0"
	"github.com/kr/fs v0.1.0/go.mod"
	"github.com/kr/pretty v0.1.0/go.mod"
	"github.com/kr/pretty v0.3.1"
	"github.com/kr/pretty v0.3.1/go.mod"
	"github.com/kr/pty v1.1.1/go.mod"
	"github.com/kr/text v0.1.0/go.mod"
	"github.com/kr/text v0.2.0"
	"github.com/kr/text v0.2.0/go.mod"
	"github.com/kylelemons/godebug v1.1.0"
	"github.com/kylelemons/godebug v1.1.0/go.mod"
	"github.com/ledongthuc/pdf v0.0.0-20220302134840-0c2507a12d80/go.mod"
	"github.com/lestrrat-go/blackmagic v1.0.2"
	"github.com/lestrrat-go/blackmagic v1.0.2/go.mod"
	"github.com/lestrrat-go/httpcc v1.0.1"
	"github.com/lestrrat-go/httpcc v1.0.1/go.mod"
	"github.com/lestrrat-go/httprc v1.0.6"
	"github.com/lestrrat-go/httprc v1.0.6/go.mod"
	"github.com/lestrrat-go/iter v1.0.2"
	"github.com/lestrrat-go/iter v1.0.2/go.mod"
	"github.com/lestrrat-go/jwx/v2 v2.1.3"
	"github.com/lestrrat-go/jwx/v2 v2.1.3/go.mod"
	"github.com/lestrrat-go/option v1.0.1"
	"github.com/lestrrat-go/option v1.0.1/go.mod"
	"github.com/lib/pq v1.10.4/go.mod"
	"github.com/lib/pq v1.10.9"
	"github.com/lib/pq v1.10.9/go.mod"
	"github.com/lithammer/shortuuid/v4 v4.0.0"
	"github.com/lithammer/shortuuid/v4 v4.0.0/go.mod"
	"github.com/lucasb-eyer/go-colorful v1.2.0"
	"github.com/lucasb-eyer/go-colorful v1.2.0/go.mod"
	"github.com/lufia/plan9stats v0.0.0-20240909124753-873cd0166683"
	"github.com/lufia/plan9stats v0.0.0-20240909124753-873cd0166683/go.mod"
	"github.com/magiconair/properties v1.8.0/go.mod"
	"github.com/mailru/easyjson v0.7.7"
	"github.com/mailru/easyjson v0.7.7/go.mod"
	"github.com/mattn/go-colorable v0.1.4/go.mod"
	"github.com/mattn/go-colorable v0.1.13"
	"github.com/mattn/go-colorable v0.1.13/go.mod"
	"github.com/mattn/go-ieproxy v0.0.12"
	"github.com/mattn/go-ieproxy v0.0.12/go.mod"
	"github.com/mattn/go-isatty v0.0.8/go.mod"
	"github.com/mattn/go-isatty v0.0.10/go.mod"
	"github.com/mattn/go-isatty v0.0.11/go.mod"
	"github.com/mattn/go-isatty v0.0.16/go.mod"
	"github.com/mattn/go-isatty v0.0.20"
	"github.com/mattn/go-isatty v0.0.20/go.mod"
	"github.com/mattn/go-localereader v0.0.1"
	"github.com/mattn/go-localereader v0.0.1/go.mod"
	"github.com/mattn/go-runewidth v0.0.4/go.mod"
	"github.com/mattn/go-runewidth v0.0.9/go.mod"
	"github.com/mattn/go-runewidth v0.0.10/go.mod"
	"github.com/mattn/go-runewidth v0.0.12/go.mod"
	"github.com/mattn/go-runewidth v0.0.16"
	"github.com/mattn/go-runewidth v0.0.16/go.mod"
	"github.com/matttproud/golang_protobuf_extensions v1.0.1/go.mod"
	"github.com/matttproud/golang_protobuf_extensions v1.0.4"
	"github.com/matttproud/golang_protobuf_extensions v1.0.4/go.mod"
	"github.com/miekg/dns v1.1.62"
	"github.com/miekg/dns v1.1.62/go.mod"
	"github.com/minio/cli v1.24.2"
	"github.com/minio/cli v1.24.2/go.mod"
	"github.com/minio/colorjson v1.0.8"
	"github.com/minio/colorjson v1.0.8/go.mod"
	"github.com/minio/console v1.7.6-0.20250114035017-b45e11ce7f1d"
	"github.com/minio/console v1.7.6-0.20250114035017-b45e11ce7f1d/go.mod"
	"github.com/minio/csvparser v1.0.0"
	"github.com/minio/csvparser v1.0.0/go.mod"
	"github.com/minio/dnscache v0.1.1"
	"github.com/minio/dnscache v0.1.1/go.mod"
	"github.com/minio/dperf v0.6.3"
	"github.com/minio/dperf v0.6.3/go.mod"
	"github.com/minio/filepath v1.0.0"
	"github.com/minio/filepath v1.0.0/go.mod"
	"github.com/minio/highwayhash v1.0.2/go.mod"
	"github.com/minio/highwayhash v1.0.3"
	"github.com/minio/highwayhash v1.0.3/go.mod"
	"github.com/minio/kms-go/kes v0.3.1"
	"github.com/minio/kms-go/kes v0.3.1/go.mod"
	"github.com/minio/kms-go/kms v0.4.0"
	"github.com/minio/kms-go/kms v0.4.0/go.mod"
	"github.com/minio/madmin-go/v3 v3.0.85"
	"github.com/minio/madmin-go/v3 v3.0.85/go.mod"
	"github.com/minio/mc v0.0.0-20250116095217-95e1f70eb5c3"
	"github.com/minio/mc v0.0.0-20250116095217-95e1f70eb5c3/go.mod"
	"github.com/minio/md5-simd v1.1.2"
	"github.com/minio/md5-simd v1.1.2/go.mod"
	"github.com/minio/minio-go/v6 v6.0.46/go.mod"
	"github.com/minio/minio-go/v7 v7.0.83-0.20241230094935-5757f2c8544a"
	"github.com/minio/minio-go/v7 v7.0.83-0.20241230094935-5757f2c8544a/go.mod"
	"github.com/minio/mux v1.9.0"
	"github.com/minio/mux v1.9.0/go.mod"
	"github.com/minio/pkg/v3 v3.0.28"
	"github.com/minio/pkg/v3 v3.0.28/go.mod"
	"github.com/minio/selfupdate v0.6.0"
	"github.com/minio/selfupdate v0.6.0/go.mod"
	"github.com/minio/sha256-simd v0.1.1/go.mod"
	"github.com/minio/simdjson-go v0.4.5"
	"github.com/minio/simdjson-go v0.4.5/go.mod"
	"github.com/minio/sio v0.4.1"
	"github.com/minio/sio v0.4.1/go.mod"
	"github.com/minio/websocket v1.6.0"
	"github.com/minio/websocket v1.6.0/go.mod"
	"github.com/minio/xxml v0.0.3"
	"github.com/minio/xxml v0.0.3/go.mod"
	"github.com/minio/zipindex v0.4.0"
	"github.com/minio/zipindex v0.4.0/go.mod"
	"github.com/mitchellh/go-homedir v1.1.0"
	"github.com/mitchellh/go-homedir v1.1.0/go.mod"
	"github.com/mitchellh/mapstructure v1.1.2/go.mod"
	"github.com/mitchellh/mapstructure v1.5.0"
	"github.com/mitchellh/mapstructure v1.5.0/go.mod"
	"github.com/modern-go/concurrent v0.0.0-20180228061459-e0a39a4cb421/go.mod"
	"github.com/modern-go/concurrent v0.0.0-20180306012644-bacd9c7ef1dd"
	"github.com/modern-go/concurrent v0.0.0-20180306012644-bacd9c7ef1dd/go.mod"
	"github.com/modern-go/reflect2 v1.0.2"
	"github.com/modern-go/reflect2 v1.0.2/go.mod"
	"github.com/montanaflynn/stats v0.7.1"
	"github.com/montanaflynn/stats v0.7.1/go.mod"
	"github.com/muesli/ansi v0.0.0-20230316100256-276c6243b2f6"
	"github.com/muesli/ansi v0.0.0-20230316100256-276c6243b2f6/go.mod"
	"github.com/muesli/cancelreader v0.2.2"
	"github.com/muesli/cancelreader v0.2.2/go.mod"
	"github.com/muesli/reflow v0.3.0"
	"github.com/muesli/reflow v0.3.0/go.mod"
	"github.com/muesli/termenv v0.15.2"
	"github.com/muesli/termenv v0.15.2/go.mod"
	"github.com/munnerz/goautoneg v0.0.0-20191010083416-a7dc8b61c822"
	"github.com/munnerz/goautoneg v0.0.0-20191010083416-a7dc8b61c822/go.mod"
	"github.com/nats-io/jwt/v2 v2.2.1-0.20220330180145-442af02fd36a/go.mod"
	"github.com/nats-io/jwt/v2 v2.5.0"
	"github.com/nats-io/jwt/v2 v2.5.0/go.mod"
	"github.com/nats-io/nats-server/v2 v2.8.2/go.mod"
	"github.com/nats-io/nats-server/v2 v2.9.23"
	"github.com/nats-io/nats-server/v2 v2.9.23/go.mod"
	"github.com/nats-io/nats-streaming-server v0.24.6"
	"github.com/nats-io/nats-streaming-server v0.24.6/go.mod"
	"github.com/nats-io/nats.go v1.13.0/go.mod"
	"github.com/nats-io/nats.go v1.14.0/go.mod"
	"github.com/nats-io/nats.go v1.15.0/go.mod"
	"github.com/nats-io/nats.go v1.22.1/go.mod"
	"github.com/nats-io/nats.go v1.37.0"
	"github.com/nats-io/nats.go v1.37.0/go.mod"
	"github.com/nats-io/nkeys v0.3.0/go.mod"
	"github.com/nats-io/nkeys v0.4.7"
	"github.com/nats-io/nkeys v0.4.7/go.mod"
	"github.com/nats-io/nuid v1.0.1"
	"github.com/nats-io/nuid v1.0.1/go.mod"
	"github.com/nats-io/stan.go v0.10.2/go.mod"
	"github.com/nats-io/stan.go v0.10.4"
	"github.com/nats-io/stan.go v0.10.4/go.mod"
	"github.com/ncw/directio v1.0.5"
	"github.com/ncw/directio v1.0.5/go.mod"
	"github.com/nsqio/go-nsq v1.1.0"
	"github.com/nsqio/go-nsq v1.1.0/go.mod"
	"github.com/oklog/ulid v1.3.1"
	"github.com/oklog/ulid v1.3.1/go.mod"
	"github.com/olekukonko/tablewriter v0.0.5"
	"github.com/olekukonko/tablewriter v0.0.5/go.mod"
	"github.com/orisano/pixelmatch v0.0.0-20220722002657-fb0b55479cde/go.mod"
	"github.com/pascaldekloe/goe v0.1.0/go.mod"
	"github.com/pelletier/go-toml v1.2.0/go.mod"
	"github.com/philhofer/fwd v1.1.3-0.20240916144458-20a13a1f6b7c"
	"github.com/philhofer/fwd v1.1.3-0.20240916144458-20a13a1f6b7c/go.mod"
	"github.com/pierrec/lz4/v4 v4.1.21"
	"github.com/pierrec/lz4/v4 v4.1.21/go.mod"
	"github.com/pkg/browser v0.0.0-20240102092130-5ac0b6a4141c"
	"github.com/pkg/browser v0.0.0-20240102092130-5ac0b6a4141c/go.mod"
	"github.com/pkg/errors v0.8.1/go.mod"
	"github.com/pkg/errors v0.9.1"
	"github.com/pkg/errors v0.9.1/go.mod"
	"github.com/pkg/sftp v1.13.7"
	"github.com/pkg/sftp v1.13.7/go.mod"
	"github.com/pkg/xattr v0.4.10"
	"github.com/pkg/xattr v0.4.10/go.mod"
	"github.com/planetscale/vtprotobuf v0.6.1-0.20240319094008-0393e58bdf10"
	"github.com/planetscale/vtprotobuf v0.6.1-0.20240319094008-0393e58bdf10/go.mod"
	"github.com/pmezard/go-difflib v1.0.0/go.mod"
	"github.com/pmezard/go-difflib v1.0.1-0.20181226105442-5d4384ee4fb2"
	"github.com/pmezard/go-difflib v1.0.1-0.20181226105442-5d4384ee4fb2/go.mod"
	"github.com/posener/complete v1.2.3"
	"github.com/posener/complete v1.2.3/go.mod"
	"github.com/power-devops/perfstat v0.0.0-20240221224432-82ca36839d55"
	"github.com/power-devops/perfstat v0.0.0-20240221224432-82ca36839d55/go.mod"
	"github.com/prometheus/client_golang v0.9.2/go.mod"
	"github.com/prometheus/client_golang v1.20.5"
	"github.com/prometheus/client_golang v1.20.5/go.mod"
	"github.com/prometheus/client_model v0.0.0-20180712105110-5c3871d89910/go.mod"
	"github.com/prometheus/client_model v0.0.0-20190812154241-14fe0d1b01d4/go.mod"
	"github.com/prometheus/client_model v0.6.1"
	"github.com/prometheus/client_model v0.6.1/go.mod"
	"github.com/prometheus/common v0.0.0-20181126121408-4724e9255275/go.mod"
	"github.com/prometheus/common v0.61.0"
	"github.com/prometheus/common v0.61.0/go.mod"
	"github.com/prometheus/procfs v0.0.0-20181204211112-1dc9a6cbc91a/go.mod"
	"github.com/prometheus/procfs v0.7.3/go.mod"
	"github.com/prometheus/procfs v0.15.1"
	"github.com/prometheus/procfs v0.15.1/go.mod"
	"github.com/prometheus/prom2json v1.4.1"
	"github.com/prometheus/prom2json v1.4.1/go.mod"
	"github.com/prometheus/prometheus v0.301.0"
	"github.com/prometheus/prometheus v0.301.0/go.mod"
	"github.com/puzpuzpuz/xsync/v3 v3.4.0"
	"github.com/puzpuzpuz/xsync/v3 v3.4.0/go.mod"
	"github.com/rabbitmq/amqp091-go v1.10.0"
	"github.com/rabbitmq/amqp091-go v1.10.0/go.mod"
	"github.com/rcrowley/go-metrics v0.0.0-20201227073835-cf1acfcdf475"
	"github.com/rcrowley/go-metrics v0.0.0-20201227073835-cf1acfcdf475/go.mod"
	"github.com/redis/go-redis/v9 v9.6.1"
	"github.com/redis/go-redis/v9 v9.6.1/go.mod"
	"github.com/rivo/uniseg v0.1.0/go.mod"
	"github.com/rivo/uniseg v0.2.0/go.mod"
	"github.com/rivo/uniseg v0.4.7"
	"github.com/rivo/uniseg v0.4.7/go.mod"
	"github.com/rjeczalik/notify v0.9.3"
	"github.com/rjeczalik/notify v0.9.3/go.mod"
	"github.com/rogpeppe/go-internal v1.13.1"
	"github.com/rogpeppe/go-internal v1.13.1/go.mod"
	"github.com/rs/cors v1.11.1"
	"github.com/rs/cors v1.11.1/go.mod"
	"github.com/rs/xid v1.6.0"
	"github.com/rs/xid v1.6.0/go.mod"
	"github.com/russross/blackfriday v1.5.2/go.mod"
	"github.com/safchain/ethtool v0.5.9"
	"github.com/safchain/ethtool v0.5.9/go.mod"
	"github.com/scylladb/termtables v0.0.0-20191203121021-c4c0b6d42ff4/go.mod"
	"github.com/secure-io/sio-go v0.3.1"
	"github.com/secure-io/sio-go v0.3.1/go.mod"
	"github.com/segmentio/asm v1.2.0"
	"github.com/segmentio/asm v1.2.0/go.mod"
	"github.com/shirou/gopsutil/v3 v3.24.5"
	"github.com/shirou/gopsutil/v3 v3.24.5/go.mod"
	"github.com/shoenig/go-m1cpu v0.1.6"
	"github.com/shoenig/go-m1cpu v0.1.6/go.mod"
	"github.com/shoenig/test v0.6.4"
	"github.com/shoenig/test v0.6.4/go.mod"
	"github.com/sirupsen/logrus v1.4.2/go.mod"
	"github.com/smartystreets/assertions v0.0.0-20180927180507-b2de0cb4f26d/go.mod"
	"github.com/smartystreets/goconvey v0.0.0-20190330032615-68dc04aab96a/go.mod"
	"github.com/spf13/afero v1.1.2/go.mod"
	"github.com/spf13/cast v1.3.0/go.mod"
	"github.com/spf13/cobra v0.0.5/go.mod"
	"github.com/spf13/jwalterweatherman v1.0.0/go.mod"
	"github.com/spf13/pflag v1.0.3/go.mod"
	"github.com/spf13/pflag v1.0.5/go.mod"
	"github.com/spf13/viper v1.3.2/go.mod"
	"github.com/stretchr/objx v0.1.0/go.mod"
	"github.com/stretchr/objx v0.1.1/go.mod"
	"github.com/stretchr/objx v0.4.0/go.mod"
	"github.com/stretchr/objx v0.5.0/go.mod"
	"github.com/stretchr/testify v1.2.2/go.mod"
	"github.com/stretchr/testify v1.3.0/go.mod"
	"github.com/stretchr/testify v1.4.0/go.mod"
	"github.com/stretchr/testify v1.6.1/go.mod"
	"github.com/stretchr/testify v1.7.0/go.mod"
	"github.com/stretchr/testify v1.7.1/go.mod"
	"github.com/stretchr/testify v1.8.0/go.mod"
	"github.com/stretchr/testify v1.8.1/go.mod"
	"github.com/stretchr/testify v1.10.0"
	"github.com/stretchr/testify v1.10.0/go.mod"
	"github.com/tidwall/gjson v1.18.0"
	"github.com/tidwall/gjson v1.18.0/go.mod"
	"github.com/tidwall/match v1.1.1"
	"github.com/tidwall/match v1.1.1/go.mod"
	"github.com/tidwall/pretty v1.2.0/go.mod"
	"github.com/tidwall/pretty v1.2.1"
	"github.com/tidwall/pretty v1.2.1/go.mod"
	"github.com/tinylib/msgp v1.2.5"
	"github.com/tinylib/msgp v1.2.5/go.mod"
	"github.com/tklauser/go-sysconf v0.3.14"
	"github.com/tklauser/go-sysconf v0.3.14/go.mod"
	"github.com/tklauser/numcpus v0.9.0"
	"github.com/tklauser/numcpus v0.9.0/go.mod"
	"github.com/tv42/httpunix v0.0.0-20150427012821-b75d8614f926/go.mod"
	"github.com/ugorji/go/codec v0.0.0-20181204163529-d75b2dcb6bc8/go.mod"
	"github.com/unrolled/secure v1.17.0"
	"github.com/unrolled/secure v1.17.0/go.mod"
	"github.com/valyala/bytebufferpool v1.0.0"
	"github.com/valyala/bytebufferpool v1.0.0/go.mod"
	"github.com/vbauerster/mpb/v8 v8.8.3"
	"github.com/vbauerster/mpb/v8 v8.8.3/go.mod"
	"github.com/xdg/scram v1.0.5"
	"github.com/xdg/scram v1.0.5/go.mod"
	"github.com/xdg/stringprep v1.0.3"
	"github.com/xdg/stringprep v1.0.3/go.mod"
	"github.com/xordataexchange/crypt v0.0.3-0.20170626215501-b2862e3d0a77/go.mod"
	"github.com/yuin/goldmark v1.1.27/go.mod"
	"github.com/yuin/goldmark v1.2.1/go.mod"
	"github.com/yuin/goldmark v1.4.13/go.mod"
	"github.com/yusufpapurcu/wmi v1.2.4"
	"github.com/yusufpapurcu/wmi v1.2.4/go.mod"
	"github.com/zeebo/assert v1.3.0"
	"github.com/zeebo/assert v1.3.0/go.mod"
	"github.com/zeebo/xxh3 v1.0.2"
	"github.com/zeebo/xxh3 v1.0.2/go.mod"
	"go.etcd.io/bbolt v1.3.6"
	"go.etcd.io/bbolt v1.3.6/go.mod"
	"go.etcd.io/etcd/api/v3 v3.5.17"
	"go.etcd.io/etcd/api/v3 v3.5.17/go.mod"
	"go.etcd.io/etcd/client/pkg/v3 v3.5.17"
	"go.etcd.io/etcd/client/pkg/v3 v3.5.17/go.mod"
	"go.etcd.io/etcd/client/v3 v3.5.17"
	"go.etcd.io/etcd/client/v3 v3.5.17/go.mod"
	"go.mongodb.org/mongo-driver v1.17.1"
	"go.mongodb.org/mongo-driver v1.17.1/go.mod"
	"go.opencensus.io v0.24.0"
	"go.opencensus.io v0.24.0/go.mod"
	"go.opentelemetry.io/auto/sdk v1.1.0"
	"go.opentelemetry.io/auto/sdk v1.1.0/go.mod"
	"go.opentelemetry.io/contrib/detectors/gcp v1.32.0"
	"go.opentelemetry.io/contrib/detectors/gcp v1.32.0/go.mod"
	"go.opentelemetry.io/contrib/instrumentation/google.golang.org/grpc/otelgrpc v0.57.0"
	"go.opentelemetry.io/contrib/instrumentation/google.golang.org/grpc/otelgrpc v0.57.0/go.mod"
	"go.opentelemetry.io/contrib/instrumentation/net/http/otelhttp v0.58.0"
	"go.opentelemetry.io/contrib/instrumentation/net/http/otelhttp v0.58.0/go.mod"
	"go.opentelemetry.io/otel v1.33.0"
	"go.opentelemetry.io/otel v1.33.0/go.mod"
	"go.opentelemetry.io/otel/metric v1.33.0"
	"go.opentelemetry.io/otel/metric v1.33.0/go.mod"
	"go.opentelemetry.io/otel/sdk v1.33.0"
	"go.opentelemetry.io/otel/sdk v1.33.0/go.mod"
	"go.opentelemetry.io/otel/sdk/metric v1.32.0"
	"go.opentelemetry.io/otel/sdk/metric v1.32.0/go.mod"
	"go.opentelemetry.io/otel/trace v1.33.0"
	"go.opentelemetry.io/otel/trace v1.33.0/go.mod"
	"go.uber.org/atomic v1.11.0"
	"go.uber.org/atomic v1.11.0/go.mod"
	"go.uber.org/goleak v1.3.0"
	"go.uber.org/goleak v1.3.0/go.mod"
	"go.uber.org/multierr v1.11.0"
	"go.uber.org/multierr v1.11.0/go.mod"
	"go.uber.org/zap v1.27.0"
	"go.uber.org/zap v1.27.0/go.mod"
	"goftp.io/server/v2 v2.0.1"
	"goftp.io/server/v2 v2.0.1/go.mod"
	"golang.org/x/crypto v0.0.0-20181203042331-505ab145d0a9/go.mod"
	"golang.org/x/crypto v0.0.0-20190308221718-c2843e01d9a2/go.mod"
	"golang.org/x/crypto v0.0.0-20190513172903-22d7a77e9e5f/go.mod"
	"golang.org/x/crypto v0.0.0-20190701094942-4def268fd1a4/go.mod"
	"golang.org/x/crypto v0.0.0-20191011191535-87dc89f01550/go.mod"
	"golang.org/x/crypto v0.0.0-20200302210943-78000ba7a073/go.mod"
	"golang.org/x/crypto v0.0.0-20200622213623-75b288015ac9/go.mod"
	"golang.org/x/crypto v0.0.0-20210220033148-5ea612d1eb83/go.mod"
	"golang.org/x/crypto v0.0.0-20210314154223-e6e6c4f2bb5b/go.mod"
	"golang.org/x/crypto v0.0.0-20210921155107-089bfa567519/go.mod"
	"golang.org/x/crypto v0.0.0-20211209193657-4570a0811e8b/go.mod"
	"golang.org/x/crypto v0.0.0-20220315160706-3147a52a75dd/go.mod"
	"golang.org/x/crypto v0.5.0/go.mod"
	"golang.org/x/crypto v0.6.0/go.mod"
	"golang.org/x/crypto v0.17.0/go.mod"
	"golang.org/x/crypto v0.19.0/go.mod"
	"golang.org/x/crypto v0.21.0/go.mod"
	"golang.org/x/crypto v0.32.0"
	"golang.org/x/crypto v0.32.0/go.mod"
	"golang.org/x/exp v0.0.0-20190121172915-509febef88a4/go.mod"
	"golang.org/x/lint v0.0.0-20181026193005-c67002cb31c3/go.mod"
	"golang.org/x/lint v0.0.0-20190227174305-5b3e6a55c961/go.mod"
	"golang.org/x/lint v0.0.0-20190313153728-d0100b6bd8b3/go.mod"
	"golang.org/x/mod v0.2.0/go.mod"
	"golang.org/x/mod v0.3.0/go.mod"
	"golang.org/x/mod v0.6.0-dev.0.20220419223038-86c51ed26bb4/go.mod"
	"golang.org/x/mod v0.8.0/go.mod"
	"golang.org/x/mod v0.22.0"
	"golang.org/x/mod v0.22.0/go.mod"
	"golang.org/x/net v0.0.0-20180724234803-3673e40ba225/go.mod"
	"golang.org/x/net v0.0.0-20180826012351-8a410e7b638d/go.mod"
	"golang.org/x/net v0.0.0-20181201002055-351d144fa1fc/go.mod"
	"golang.org/x/net v0.0.0-20190213061140-3a22650c66bd/go.mod"
	"golang.org/x/net v0.0.0-20190311183353-d8887717615a/go.mod"
	"golang.org/x/net v0.0.0-20190404232315-eb5bcb51f2a3/go.mod"
	"golang.org/x/net v0.0.0-20190522155817-f3200d17e092/go.mod"
	"golang.org/x/net v0.0.0-20190620200207-3b0461eec859/go.mod"
	"golang.org/x/net v0.0.0-20190724013045-ca1201d0de80/go.mod"
	"golang.org/x/net v0.0.0-20200114155413-6afb5195e5aa/go.mod"
	"golang.org/x/net v0.0.0-20200226121028-0de0cce0169b/go.mod"
	"golang.org/x/net v0.0.0-20201021035429-f5854403a974/go.mod"
	"golang.org/x/net v0.0.0-20201110031124-69a78807bb2b/go.mod"
	"golang.org/x/net v0.0.0-20210226172049-e18ecbb05110/go.mod"
	"golang.org/x/net v0.0.0-20211112202133-69e39bad7dc2/go.mod"
	"golang.org/x/net v0.0.0-20220722155237-a158d28d115b/go.mod"
	"golang.org/x/net v0.5.0/go.mod"
	"golang.org/x/net v0.6.0/go.mod"
	"golang.org/x/net v0.7.0/go.mod"
	"golang.org/x/net v0.10.0/go.mod"
	"golang.org/x/net v0.21.0/go.mod"
	"golang.org/x/net v0.22.0/go.mod"
	"golang.org/x/net v0.34.0"
	"golang.org/x/net v0.34.0/go.mod"
	"golang.org/x/oauth2 v0.0.0-20180821212333-d2e6202438be/go.mod"
	"golang.org/x/oauth2 v0.24.0"
	"golang.org/x/oauth2 v0.24.0/go.mod"
	"golang.org/x/sync v0.0.0-20180314180146-1d60e4601c6f/go.mod"
	"golang.org/x/sync v0.0.0-20181108010431-42b317875d0f/go.mod"
	"golang.org/x/sync v0.0.0-20181221193216-37e7f081c4d4/go.mod"
	"golang.org/x/sync v0.0.0-20190423024810-112230192c58/go.mod"
	"golang.org/x/sync v0.0.0-20190911185100-cd5d95a43a6e/go.mod"
	"golang.org/x/sync v0.0.0-20201020160332-67f06af15bc9/go.mod"
	"golang.org/x/sync v0.0.0-20201207232520-09787c993a3a/go.mod"
	"golang.org/x/sync v0.0.0-20220722155255-886fb9371eb4/go.mod"
	"golang.org/x/sync v0.1.0/go.mod"
	"golang.org/x/sync v0.10.0"
	"golang.org/x/sync v0.10.0/go.mod"
	"golang.org/x/sys v0.0.0-20180830151530-49385e6e1522/go.mod"
	"golang.org/x/sys v0.0.0-20180926160741-c2ed4eda69e7/go.mod"
	"golang.org/x/sys v0.0.0-20181205085412-a5c9d58dba9a/go.mod"
	"golang.org/x/sys v0.0.0-20190130150945-aca44879d564/go.mod"
	"golang.org/x/sys v0.0.0-20190215142949-d0b11bdaac8a/go.mod"
	"golang.org/x/sys v0.0.0-20190222072716-a9d3bda3a223/go.mod"
	"golang.org/x/sys v0.0.0-20190412213103-97732733099d/go.mod"
	"golang.org/x/sys v0.0.0-20190422165155-953cdadca894/go.mod"
	"golang.org/x/sys v0.0.0-20190726091711-fc99dfbffb4e/go.mod"
	"golang.org/x/sys v0.0.0-20190916202348-b4ddaad3f8a3/go.mod"
	"golang.org/x/sys v0.0.0-20191008105621-543471e840be/go.mod"
	"golang.org/x/sys v0.0.0-20191026070338-33540a1f6037/go.mod"
	"golang.org/x/sys v0.0.0-20200302150141-5c8b2ff67527/go.mod"
	"golang.org/x/sys v0.0.0-20200923182605-d9f96fdee20d/go.mod"
	"golang.org/x/sys v0.0.0-20200930185726-fdedc70b468f/go.mod"
	"golang.org/x/sys v0.0.0-20201119102817-f84b799fce68/go.mod"
	"golang.org/x/sys v0.0.0-20201204225414-ed752295db88/go.mod"
	"golang.org/x/sys v0.0.0-20210124154548-22da62e12c0c/go.mod"
	"golang.org/x/sys v0.0.0-20210228012217-479acdf4ea46/go.mod"
	"golang.org/x/sys v0.0.0-20210423082822-04245dca01da/go.mod"
	"golang.org/x/sys v0.0.0-20210615035016-665e8c7367d1/go.mod"
	"golang.org/x/sys v0.0.0-20210809222454-d867a43fc93e/go.mod"
	"golang.org/x/sys v0.0.0-20220111092808-5a964db01320/go.mod"
	"golang.org/x/sys v0.0.0-20220310020820-b874c991c1a5/go.mod"
	"golang.org/x/sys v0.0.0-20220408201424-a24fb2fb8a0f/go.mod"
	"golang.org/x/sys v0.0.0-20220412211240-33da011f77ad/go.mod"
	"golang.org/x/sys v0.0.0-20220520151302-bc2c85ada10a/go.mod"
	"golang.org/x/sys v0.0.0-20220722155257-8c9f86f7a55f/go.mod"
	"golang.org/x/sys v0.0.0-20220811171246-fbc7d0a398ab/go.mod"
	"golang.org/x/sys v0.1.0/go.mod"
	"golang.org/x/sys v0.4.0/go.mod"
	"golang.org/x/sys v0.5.0/go.mod"
	"golang.org/x/sys v0.6.0/go.mod"
	"golang.org/x/sys v0.8.0/go.mod"
	"golang.org/x/sys v0.15.0/go.mod"
	"golang.org/x/sys v0.17.0/go.mod"
	"golang.org/x/sys v0.18.0/go.mod"
	"golang.org/x/sys v0.21.0/go.mod"
	"golang.org/x/sys v0.27.0/go.mod"
	"golang.org/x/sys v0.29.0"
	"golang.org/x/sys v0.29.0/go.mod"
	"golang.org/x/term v0.0.0-20201117132131-f5c789dd3221/go.mod"
	"golang.org/x/term v0.0.0-20201126162022-7de9c90e9dd1/go.mod"
	"golang.org/x/term v0.0.0-20210927222741-03fcf44c2211/go.mod"
	"golang.org/x/term v0.4.0/go.mod"
	"golang.org/x/term v0.5.0/go.mod"
	"golang.org/x/term v0.8.0/go.mod"
	"golang.org/x/term v0.15.0/go.mod"
	"golang.org/x/term v0.17.0/go.mod"
	"golang.org/x/term v0.18.0/go.mod"
	"golang.org/x/term v0.28.0"
	"golang.org/x/term v0.28.0/go.mod"
	"golang.org/x/text v0.3.0/go.mod"
	"golang.org/x/text v0.3.2/go.mod"
	"golang.org/x/text v0.3.3/go.mod"
	"golang.org/x/text v0.3.6/go.mod"
	"golang.org/x/text v0.3.7/go.mod"
	"golang.org/x/text v0.6.0/go.mod"
	"golang.org/x/text v0.7.0/go.mod"
	"golang.org/x/text v0.9.0/go.mod"
	"golang.org/x/text v0.14.0/go.mod"
	"golang.org/x/text v0.21.0"
	"golang.org/x/text v0.21.0/go.mod"
	"golang.org/x/time v0.0.0-20211116232009-f0f3c7e86c11/go.mod"
	"golang.org/x/time v0.8.0"
	"golang.org/x/time v0.8.0/go.mod"
	"golang.org/x/tools v0.0.0-20180917221912-90fa682c2a6e/go.mod"
	"golang.org/x/tools v0.0.0-20190114222345-bf090417da8b/go.mod"
	"golang.org/x/tools v0.0.0-20190226205152-f727befe758c/go.mod"
	"golang.org/x/tools v0.0.0-20190311212946-11955173bddd/go.mod"
	"golang.org/x/tools v0.0.0-20190328211700-ab21143f2384/go.mod"
	"golang.org/x/tools v0.0.0-20190424220101-1e8e1cfdf96b/go.mod"
	"golang.org/x/tools v0.0.0-20190524140312-2c0ae7006135/go.mod"
	"golang.org/x/tools v0.0.0-20191119224855-298f0cb1881e/go.mod"
	"golang.org/x/tools v0.0.0-20200619180055-7c47624df98f/go.mod"
	"golang.org/x/tools v0.0.0-20210106214847-113979e3529a/go.mod"
	"golang.org/x/tools v0.1.12/go.mod"
	"golang.org/x/tools v0.6.0/go.mod"
	"golang.org/x/tools v0.28.0"
	"golang.org/x/tools v0.28.0/go.mod"
	"golang.org/x/xerrors v0.0.0-20190717185122-a985d3407aa7/go.mod"
	"golang.org/x/xerrors v0.0.0-20191011141410-1b5146add898/go.mod"
	"golang.org/x/xerrors v0.0.0-20191204190536-9bdfabe68543/go.mod"
	"golang.org/x/xerrors v0.0.0-20200804184101-5ec99f83aff1/go.mod"
	"google.golang.org/api v0.213.0"
	"google.golang.org/api v0.213.0/go.mod"
	"google.golang.org/appengine v1.1.0/go.mod"
	"google.golang.org/appengine v1.4.0/go.mod"
	"google.golang.org/genproto v0.0.0-20180817151627-c66870c02cf8/go.mod"
	"google.golang.org/genproto v0.0.0-20190819201941-24fa4b261c55/go.mod"
	"google.golang.org/genproto v0.0.0-20200526211855-cb27e3aa2013/go.mod"
	"google.golang.org/genproto v0.0.0-20241113202542-65e8d215514f"
	"google.golang.org/genproto v0.0.0-20241113202542-65e8d215514f/go.mod"
	"google.golang.org/genproto/googleapis/api v0.0.0-20241230172942-26aa7a208def"
	"google.golang.org/genproto/googleapis/api v0.0.0-20241230172942-26aa7a208def/go.mod"
	"google.golang.org/genproto/googleapis/rpc v0.0.0-20241230172942-26aa7a208def"
	"google.golang.org/genproto/googleapis/rpc v0.0.0-20241230172942-26aa7a208def/go.mod"
	"google.golang.org/grpc v1.19.0/go.mod"
	"google.golang.org/grpc v1.23.0/go.mod"
	"google.golang.org/grpc v1.25.1/go.mod"
	"google.golang.org/grpc v1.27.0/go.mod"
	"google.golang.org/grpc v1.33.2/go.mod"
	"google.golang.org/grpc v1.69.2"
	"google.golang.org/grpc v1.69.2/go.mod"
	"google.golang.org/protobuf v0.0.0-20200109180630-ec00e32a8dfd/go.mod"
	"google.golang.org/protobuf v0.0.0-20200221191635-4d8936d0db64/go.mod"
	"google.golang.org/protobuf v0.0.0-20200228230310-ab0ca4ff8a60/go.mod"
	"google.golang.org/protobuf v1.20.1-0.20200309200217-e05f789c0967/go.mod"
	"google.golang.org/protobuf v1.21.0/go.mod"
	"google.golang.org/protobuf v1.22.0/go.mod"
	"google.golang.org/protobuf v1.23.0/go.mod"
	"google.golang.org/protobuf v1.23.1-0.20200526195155-81db48ad09cc/go.mod"
	"google.golang.org/protobuf v1.25.0/go.mod"
	"google.golang.org/protobuf v1.36.1"
	"google.golang.org/protobuf v1.36.1/go.mod"
	"gopkg.in/check.v1 v0.0.0-20161208181325-20d25e280405/go.mod"
	"gopkg.in/check.v1 v1.0.0-20190902080502-41f04d3bba15/go.mod"
	"gopkg.in/check.v1 v1.0.0-20201130134442-10cb98267c6c"
	"gopkg.in/check.v1 v1.0.0-20201130134442-10cb98267c6c/go.mod"
	"gopkg.in/ini.v1 v1.42.0/go.mod"
	"gopkg.in/urfave/cli.v1 v1.20.0/go.mod"
	"gopkg.in/yaml.v2 v2.2.2/go.mod"
	"gopkg.in/yaml.v2 v2.4.0"
	"gopkg.in/yaml.v2 v2.4.0/go.mod"
	"gopkg.in/yaml.v3 v3.0.0-20200313102051-9f266ea9e77c/go.mod"
	"gopkg.in/yaml.v3 v3.0.1"
	"gopkg.in/yaml.v3 v3.0.1/go.mod"
	"honnef.co/go/tools v0.0.0-20190102054323-c2f93a96b099/go.mod"
	"honnef.co/go/tools v0.0.0-20190523083050-ea95bdfd59fc/go.mod"

)

go-module_set_globals
EGO_SKIP_TIDY=1

DESCRIPTION="An Amazon S3 compatible object storage server"
HOMEPAGE="https://min.io/ https://github.com/minio/minio"
SRC_URI="
https://github.com/minio/minio/tarball/9755857e406f8d4cbd739d70eeeaaad8e01a5ee6 -> minio-2025.02.07-9755857.tar.gz
https://distfiles.macaronios.org/c5/76/a3/c576a37c877213bec4dd28517b4c01ed5f1401acdb1450ce9fb2a1436202e5ab6021b144e6390fcf2526d4c1add685ca18f2e4e96b4a2f3bd90eeab873e169a1 -> minio-2025.02.07-funtoo-go-bundle-c86c46551573fa6e98486906dc3875d303454d2252402a48997b010611e550a58863d2dd3fd79b2365d4daa66fad027778d60936e17ea72f5417278b7b6eaa9f.tar.gz"

MY_PV="$(ver_cut 1-3)T$(ver_cut 4-7)Z"
MY_PV=${MY_PV//./-}
EGIT_COMMIT=""
IUSE="systemd"
LICENSE="Apache-2.0 BSD BSD-2 MIT MPL-2.0"
SLOT="0"
KEYWORDS="*"

BDEPEND="dev-lang/go"

pkg_setup() {
	enewgroup ${PN}
	enewuser ${PN} -1 -1 /var/lib/${PN} ${PN}
}

src_prepare() {
	default

	sed -i -e "s/time.Now().UTC().Format(time.RFC3339)/\"${MY_PV}\"/"\
		-e "s/-s //"\
		-e "/time/d"\
		-e "s/+ commitID()/+ \"${EGIT_COMMIT}\"/"\
		buildscripts/gen-ldflags.go || die
}

src_unpack() {
	go-module_src_unpack
	mv ${WORKDIR}/minio-minio-* ${S} || die
}

src_compile() {
	unset XDG_CACHE_HOME

	MINIO_RELEASE="${MY_PV}"
	go run buildscripts/gen-ldflags.go
	CGO_ENABLED=0 \
		go build --ldflags "$(go run buildscripts/gen-ldflags.go)" -o ${PN} || die
}

src_install() {
	dobin ${PN}
	insinto /etc/"${PN}"

	dodoc -r README.md CONTRIBUTING.md docs

	if use systemd ; then
		systemd_dounit "${FILESDIR}"/minio.service
	else
		newinitd "${FILESDIR}"/minio.initd minio
	fi

	newconfd "${FILESDIR}"/"${PN}".confd ${PN}

	keepdir /var/{lib,log}/"${PN}"
	fowners minio:minio /
}

# vim: filetype=ebuild